<h1 class="page-header" style="margin-top: 0"><i class="fa fa-money"></i> <?php _('Price Calculations') ?></h1>
<form novalidate name="pricecalc" class="form-horizontal">
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Currency') ?></label>
<div class="col-sm-9">
<div class="input-group maxw150">
<input type="text" ng-model="price.currency" class="form-control" required="required">
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Digits') ?></label>
<div class="col-sm-9">
<div class="input-group maxw150">
<input type="number" ng-model="price.digits" class="form-control" required="required">
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Handling Fee') ?></label>
<div class="col-sm-9">
<div class="input-group maxw150">
<input type="number" ng-model="price.perPrint" class="form-control" required="required" step="0.01">
<div class="input-group-addon" ng-bind="price.currency"></div>
</div>
</div>
</div>
<div class="form-group">
<label class="col-sm-3 control-label"><?php _('Costs per Hour') ?></label>
<div class="col-sm-9">
<div class="input-group maxw150">
<input type="number" ng-model="price.perHour" class="form-control" required="required" step="0.01">
<div class="input-group-addon" ng-bind="price.currency"></div>
</div>
</div>
</div>
<h3><?php _('Material Costs') ?></h3>
<div class="table-responsive">
<table class="table-border table table-bordered2 table-striped table-hover vmiddle table-condensed">
<thead>
<tr>
<th><?php _('Filament Name') ?></th>
<th style="min-width: 150px;"><?php _('Price') ?></th>
<th style="min-width: 150px;"><?php _('Density') ?></th>
<th></th>
</tr>
</thead>
<tbody dnd-list="price.filaments" dnd-type="tr" style="cursor:move">
<tr class="dndPlaceholder">
<td colspan="4">&nbsp;</td>
</tr>
<tr ng-repeat="f in price.filaments track by $index" dnd-draggable="f" dnd-moved="price.filaments.splice($index, 1)" dnd-effect-allowed="move" dnd-dragend="onDragEnd(event)">
<td><input type="text" class="form-control" ng-model="f.n" required></td>
<td>
<div class="input-group maxw200">
<input type="number" class="form-control" step="0.01" ng-model="f.p" required min="0">
<div class="input-group-addon">{{price.currency}}/kg</div>
</div>
</td>
<td>
<div class="input-group maxw200">
<input type="number" class="form-control" step="0.01" ng-model="f.w" required min="0.01">
<div class="input-group-addon">g/cm<sup>3</sup></div>
</div>
</td>
<td>
<div class="btn text-danger" ng-show="price.filaments.length>1" ng-click="delFilament($index)">
<i class="fa fa-trash rs-bigtab"></i> <?php _('Delete') ?></div>
</td>
</tr>
</tbody>
<tfoot>
<tr>
<td colspan="4">
<div class="btn btn-primary" ng-click="addFilament()">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add New Filament') ?></div>
</td>
</tr>
</tfoot>
</table>
</div>
<p class="alert alert-info"><i class="fa fa-info"></i> <?php _('Info: Computed price is handling fee + hours * costs per hour + volume * price per volume.') ?></p>
<div class="btn btn-primary" ng-click="save()" ng-disabled="pricecalc.$invalid">
<i class="fa fa-save rs-bigtab"></i> <?php _('Save') ?></div>
</form>
<br>
