<div class="modal-header">
<button type="button" class="close" ng-click="cancel()" aria-hidden="true">&times;</button>
<h4 class="modal-title">{{headline}}</h4>
</div>
<div class="modal-body" style="padding-bottom: 0;">
<div class="list-group">
<h2><?php _('Select Printers') ?></h2>
<div class="list-group-item" style="display: inline-flex; width: 100%">
<label style="display:inline-flex; font-weight: normal; margin-bottom: 0;" ng-click="selectAllPrinters()">
<input type="checkbox" ng-model="checkAll">
<div style="margin-right: 20px; margin-left: 8px; padding-top: 2px"><?php _('Select all') ?></div>
</label>
</div>
<a href="javascript:void(0)" ng-repeat="p in printerList track by p.slug">
<div class="list-group-item" style="border-radius:0; margin-top:-1px; display: inline-flex; width: 100%" ng-if="p.slug != slug">
<label style="display:inline-flex; margin-bottom: 0; font-weight: normal" ng-click="unselectCheckAll()">
<input type="checkbox" ng-model="selections[p.slug]" style="margin-top: auto;margin-bottom: auto;margin-right: 8px;">
<span ng-bind-html="printer[p.slug].status | onlinecircle | unsafe" style="margin-top: auto;margin-bottom: auto;"></span>
<div class="nowrap" style="margin-top: auto;margin-bottom: auto;margin-left: 8px;margin-right: 20px">{{p.name}}</div>
<div class="pull-right" ng-if="printerConfig[p.slug].shape.basicShape.shape != printerConfig[activeSlug].shape.basicShape.shape" style="margin-left:auto; margin-right: 8px">
<i class="fa fa-exclamation-triangle"></i>
<?php _('This printers bed shape does not match the shape of the printer you configure. The G-Code may be incompatible and could cause damage to your machine!') ?>
</div>
</label>
</div>
</a>
</div>
</div>
<p class="alert alert-info margin-top" style="margin-left: 15px;margin-right: 15px">
<?php _('Here you can choose which printers should also have this G-Code command. Already existing G-Code commands with the same name will be overwritten! Please ensure that the selected printers are compatible with the G-Code. Incompatible G-Code can cause damage to printers!') ?>
</p>
<div class="modal-footer">
<button type="button" class="btn btn-primary" ng-click="selectPrinters(true)">
<i class="fa fa-copy"></i> <?php _('Copy G-Code') ?>
</button>
<button type="button" class="btn btn-default" ng-click="cancel()">
<i class="fa fa-times"></i> <?php _('Cancel') ?>
</button>
</div>
