<div class="tab-pane active" id="panelConsole">
<div class="hidden-lg">
<rs-print-status></rs-print-status>
</div>
<div class="row margin-top" ng-show="active.status.active">
<div class="col-xs-12" style="display: inline-flex;flex-wrap: wrap; align-items: center;row-gap: 10px;column-gap: 10px">
<div>
<?php _('Commands') ?>
<div>
<switch class="small" ng-model="$root.active.local.logCommands" changed="prefillLog('commands')"></switch>
</div>
</div>
<div>
<?php _('ACK') ?>
<div>
<switch class="small" ng-model="$root.active.local.logACK" changed="prefillLog('ack')"></switch>
</div>
</div>
<div>
<?php _('Pause Log') ?>
<div>
<switch class="small" ng-model="$root.active.local.logPause" changed="prefillLog('pause')"></switch>
</div>
</div>
<div>
<?php _('Filter M105') ?>
<div>
<switch class="small" ng-model="$root.active.local.logFilterM105" changed="prefillLog('m105')"></switch>
</div>
</div>
<div class="hidden-xs" style="margin-left: auto" ng-if="active.status.online">
<div class="btn btn-default" style="padding: 0 8px;height: 40px;margin-top:-2px;" ng-click="$root.active.local.showAbsolutePositions=!$root.active.local.showAbsolutePositions">
<div style="width:100%">
<div class="text-left" style="width:100%">
<small>{{$root.active.local.showAbsolutePositions ? "<?php _('Global Position') ?>" : "<?php _('Local Position') ?>"}}</small>
</div>
<div style="display: flex;font-size:16px;width: 100%;justify-content: space-between;">
<div>
<span style="font-size:12px">X:</span>
<span class="coord-text">{{(moveToXPos - ($root.active.local.showAbsolutePositions ? 0 : $root.active.state.xOff)) | number:2}}</span>
</div>
<div style="margin: 0 10px">
<span style="font-size:12px">Y:</span>
<span class="coord-text">{{(moveToYPos - ($root.active.local.showAbsolutePositions ? 0 : $root.active.state.yOff))| number:2}}</span>
</div>
<div>
<span style="font-size:12px">Z:</span>
<span class="coord-text">{{(moveToZPos - ($root.active.local.showAbsolutePositions ? 0 : $root.active.state.zOff)) | number:2}}</span>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
<div class="row clearfix" ng-show="user.printPermission">
<div class="col-xs-12 col-lg-8 margin-top">
<div class="input-group" ng-show="active.status.active">
<input type="text" id="sendCommand" class="form-control" ng-model="cmd" autocomplete="off" placeholder="<?php _('Enter your G-Code here') ?>" enter="sendCmd()" ng-keydown="walkHistory($event)">
<div class="input-group-btn">
<button type="button" ng-click="sendCmd()" class="btn btn-primary">
<i class="fa fa-send"></i>
<span class="hidden-xs"><?php _('Send') ?></span>
</button>
<div ng-if="user.printPermission" class="d-inline-block btn btn-primary" rs-dropdown dropdown-append-to-body is-open="$parent.wizardCommands">
<div type="button" class="" rs-dropdown-toggle>
<i class="fa fa-magic"></i>
<span class="hidden-xs"><?php _('Wizards') ?></span><span class="caret"></span>
</div>
<ul rs-dropdown-menu class="dropdown-menu-right" role="menu">
<li><a ui-sref="printer.microscope({slug:activeSlug})" ng-disabled="active.state.isJobActive" class="list-group-item">
<rs-icon style="width: 22px; padding-right: 6px" icon="rs rs-extruder"></rs-icon><?php _('Calibrate XY offsets using a microscope') ?>
</a></li>
<li ng-repeat="w in activeConfig.wizardCommands">
<a class="list-group-item" ng-disabled="(!w.visibleWhenPrinting && active.state.isJobActive)" ng-click="closeWizards();RSPrinter.sendWizardCommand(w.uuid)" title="{{w.description}}">
<rs-icon style="width: 22px; padding-right: 6px" icon="fa fa-magic" icon-img="w.icon"></rs-icon>{{w.name}}
</a>
</li>
</ul>
</div>
<div class="d-inline-block btn btn-primary" rs-dropdown dropdown-append-to-body is-open="menuCommands">
<div type="button" class="" rs-dropdown-toggle>
<i class="fa fa-terminal"></i>
<span class="hidden-xs"><?php _('Commands') ?></span><span class="caret"></span>
</div>
<ul rs-dropdown-menu class="dropdown-menu-right" role="menu">
<li ng-if="user.changeConfigPermission"><a ui-sref="printerConfig.gcodes({slug:activeSlug})">
<rs-menu-icon icon="fa fa-gear"></rs-menu-icon> <?php _('Edit Commands') ?></a></li>
<li ng-if="user.changeConfigPermission" class="divider"></li>
<li><a href="javascript:void(0)" ng-click="closeCommands();sendGCode('@runButtonCommand homeAll')">
<rs-menu-icon icon="fa fa-home"></rs-menu-icon>
<?php _('Home All') ?></a></li>
<li><a href="javascript:void(0)" ng-click="closeCommands();sendGCode('M115')">
<rs-menu-icon icon="fa fa-question"></rs-menu-icon>
<?php _('Show Capabilities') ?></a>
</li>
<li><a href="javascript:void(0)" ng-click="closeCommands();sendGCode('M119')">
<rs-menu-icon icon="fa fa-arrows-h"></rs-menu-icon>
<?php _('Show Endstop Status') ?></a>
</li>
<li><a href="javascript:void(0)" ng-click="closeCommands();sendGCode('M114')">
<rs-menu-icon icon="fa fa-map-marker"></rs-menu-icon>
<?php _('Show Coordinates') ?></a>
</li>
<li ng-repeat="c in activeConfig.quickCommands">
<a ng-if="!(!c.visibleWhenPrinting && active.state.isJobActive)" href="javascript:void(0)" ng-click="closeCommands();sendQuickCommand(c.name)">
<rs-menu-icon icon="fa" icon-img="c.icon"></rs-menu-icon>
{{c.name}}</a>
</li>
</ul>
</div>
</div>
</div>
<div id="logpanelcontainer">
<div class="margin-top" style="flex: 1 1 auto;overflow: hidden; position: relative;display:flex;flex-direction: column">
<div style="position:absolute; right:36px;top:0;z-index:1">
<div type="button" class="btn text-danger btn-sm" style="border-radius: 0;" ng-click="clearLog()">
<i class="fa fa-trash-o" style="font-size:2em"></i></div>
</div>
<div id="logpanel" class="logpanel select-text" autoscroll2="logAutoscroll" ng-click="checkCopyCommand($event)">
</div>
</div>
<div class="margin-top" style="flex: 0 0 auto">
<p>
<small><?php _('Commands shows commands send to the printer. ACK shows normally suppressed acknowledgement data send back from the printer. You should only enable them for debug purposes or they might slow down your interface. If pause is enabled, new log messages get suppressed, so you can check the log without a hurry.<br/>Use the command interface to send any arbitrary commands to your printer. Remember to use uppercase letter for the parameter. Some usefull commands are available in the drop down list.') ?>
<?php _('Prepend a # to send a code 1:1 like shell commands. No checksum or line number will be added!') ?>
</small>
</p>
</div>
</div>
</div>
<div class="col-lg-4 visible-lg-block">
<uib-accordion close-others="0">
<div ng-show="!active.status.online" style="height: 20px"></div>
<div uib-accordion-group ng-show="printing || (webcam.comp.hasWebcam && update.free)" ng-class="{'panel-default':!active.status.paused,'panel-danger':active.status.paused}" is-open="local.openControl.printJob">
<uib-accordion-heading>
<div class="clickable"><i ng-class="active.status.paused ? 'fa fa-pause' : 'rs rs-print'"></i>
<span ng-if="printing"><?php _('Print Job') ?></span><span ng-if="!printing"><?php _('Webcam') ?></span>
<div ng-if="update.free && !webcam.comp.showWebcam && webcam.comp.hasWebcam && printing" ng-click="webcam.comp.setShowWebcam(true,$event)" style="width:40px; margin: -5px 10px" class="btn btn-sm" ng-class="{'btn-default':!active.status.paused,'btn-danger':active.status.paused}">
<i class="rs rs-webcam"></i></div>
<div ng-if="update.free && webcam.comp.showWebcam && (webcam.comp.hasWebcam && update.free) && printing" ng-click="webcam.comp.setShowWebcam(false,$event)" style="width:40px; margin: -5px 10px" class="btn btn-sm" ng-class="{'btn-default':!active.status.paused,'btn-danger':active.status.paused}">
<i class="fa fa-image"></i></div>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.printJob, 'glyphicon-chevron-right': !local.openControl.printJob}"></i>
</div>
</uib-accordion-heading>
<rs-sidebar-webcam webcam="webcam" printing="printing" visible="local.openControl.printJob"></rs-sidebar-webcam>
</div>
<div uib-accordion-group class="panel-default" is-open="local.openControl.temperatures" ng-if="active.status.online && (active.state.extruder.length>0 || activeConfig.heatedBeds.length>0 || activeConfig.heatedChambers.length>0)">
<uib-accordion-heading>
<div class="clickable"><i class="rs rs-temperature"></i> <?php _('Temperatures') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.temperatures, 'glyphicon-chevron-right': !local.openControl.temperatures}"></i>
</div>
</uib-accordion-heading>
<rs-sidebar-temperatures></rs-sidebar-temperatures>
</div>
<div uib-accordion-group class="panel-default" ng-if="idle && active.state.extruder.length>0 && user.printPermission && active.status.online" is-open="local.openControl.controlExtruder">
<uib-accordion-heading>
<div class="clickable">
<i class="rs rs-extruder"></i> <?php _('Extrude') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.controlExtruder, 'glyphicon-chevron-right': !local.openControl.controlExtruder}"></i>
</div>
</uib-accordion-heading>
<form role="form">
<div class="row">
<div class="col-xs-3">
<button class="btn btn-default btn-block" ng-click="RSPrinter.eMoveRel(extrudeDistance, retractSpeed)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
<div class="col-xs-6">
<div class="input-group">
<input type="number" ng-model="retractSpeed" class="form-control" required min="0.1" step="any">
<div class="input-group-addon" style="padding-left: 6px;padding-right: 6px;">
mm/s
</div>
</div>
</div>
<div class="col-xs-3">
<button class="btn btn-default btn-block" ng-click="RSPrinter.eMoveRel(-extrudeDistance, retractSpeed)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
</div>
<div class="row margin-top">
<div class="col-xs-3">
<button class="btn btn-default btn-block" ng-click="RSPrinter.eMoveRel(extrudeDistance, extrudeSpeed)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
<div class="col-xs-6">
<div class="input-group">
<input type="number" ng-model="extrudeSpeed" class="form-control" required min="1" step="any">
<div class="input-group-addon" style="padding-left: 6px;padding-right: 6px;">
mm/s
</div>
</div>
</div>
<div class="col-xs-3">
<button class="btn btn-default btn-block" ng-click="RSPrinter.eMoveRel(-extrudeDistance, extrudeSpeed)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
</div>
<div class="row margin-top">
<div class="col-xs-12">
<i class="fa fa-arrow-down rs-big"></i> = <?php _('Extrude') ?>
<i class="fa fa-arrow-up rs-big"></i>
= <?php _('Retract') ?>
</div>
</div>
</form>
<div class="clearfix"></div>
<div class="margin-top"><?php _('Distance') ?> [mm]</div>
<div class="btn-group margin-top btn-group-justified">
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="0.1">0.1</label>
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="1">1</label>
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="10">10</label>
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="50">50</label>
<label class="btn btn-default" ng-model="extrudeDistance" uib-btn-radio="100">100</label>
</div>
</div>
<div uib-accordion-group class="panel-default" is-open="local.openControl.controlMove" ng-if="active.status.online && idle && user.printPermission">
<uib-accordion-heading>
<div class="clickable">
<i class="fa fa-arrows"></i> <?php _('Move') ?>
<i class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': local.openControl.controlMove, 'glyphicon-chevron-right': !local.openControl.controlMove}"></i>
</div>
</uib-accordion-heading>
<div class="btn btn-default btn-block" style="padding: 0 8px;height: 50px;" ng-click="$root.active.local.showAbsolutePositions=!$root.active.local.showAbsolutePositions">
<div style="width:100%">
<div class="text-left" style="width:100%">
<small>{{$root.active.local.showAbsolutePositions ? "<?php _('Global Position') ?>" : "<?php _('Local Position') ?>"}}</small>
</div>
<div style="display: flex;font-size:16px;width: 100%;justify-content: space-between;">
<div>
<span style="font-size:12px">X:</span>
<span class="coord-text">{{(moveToXPos - ($root.active.local.showAbsolutePositions ? 0 : $root.active.state.xOff)) | number:2}}</span>
</div>
<div>
<span style="font-size:12px">Y:</span>
<span class="coord-text">{{(moveToYPos - ($root.active.local.showAbsolutePositions ? 0 : $root.active.state.yOff))| number:2}}</span>
</div>
<div>
<span style="font-size:12px">Z:</span>
<span class="coord-text">{{(moveToZPos - ($root.active.local.showAbsolutePositions ? 0 : $root.active.state.zOff)) | number:2}}</span>
</div>
</div>
</div>
</div>
<div class="margin-top">
<div style="text-align: center;float:left;margin-right:30px">
<div>
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.yMoveRel(moveDistance)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
<div class="margin-top">
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.xMoveRel(-moveDistance)">
<i class="fa fa-arrow-left rs-big"></i></button>
<span style="display: inline-block;width:60px">X/Y</span>
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.xMoveRel(moveDistance)">
<i class="fa fa-arrow-right rs-big"></i></button>
</div>
<div class="margin-top">
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.yMoveRel(-moveDistance)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
</div>
<div style="text-align: center;float:left">
<div>
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.zMoveRel(moveDistance)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
<div class="margin-top">
<span style="display: inline-block;width: 60px;height: 34px;vertical-align: middle;line-height: 34px;">Z</span>
</div>
<div class="margin-top">
<button class="btn btn-default" ng-disabled="!active.state.canMove" ng-click="RSPrinter.zMoveRel(-moveDistance)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
</div>
<div style="text-align: center;float:left;margin-left:30px">
<div>
<button class="btn btn-default btn-block" ng-disabled="!active.state.canMove" ng-click="$root.RSPrinter.sendGCode('@runButtonCommand homeAll')">
<i class="fa fa-home rs-big"></i></button>
</div>
<div class="margin-top">
<button class="btn btn-default btn-block" ng-click="$root.RSPrinter.motorsOff()">
<i class="rs rs-motor-off rs-big"></i></button>
</div>
<div class="margin-top" ng-if="activeConfig.movement.autolevel">
<button class="btn btn-default btn-block" ng-show="activeConfig.movement.autolevel" ng-click="RSPrinter.autolevel()" ng-disabled="printing">
<i class="rs rs-autolevel"></i></button>
</div>
<div class="margin-top" ng-if="activeConfig.general.softwareLight && !activeConfig.movement.autolevel">
<button class="btn btn-default btn-block" ng-click="$root.RSPrinter.toggleCaseLights()">
<i class="rs rs-light rs-big"></i></button>
</div>
</div>
</div>
<div class="clearfix"></div>
<div class="btn-group margin-top btn-group-justified">
<label class="btn btn-default nopadrl" ng-model="moveDistance" uib-btn-radio="0.01">0.01</label>
<label class="btn btn-default nopadrl" ng-model="moveDistance" uib-btn-radio="0.1">0.1</label>
<label class="btn btn-default" ng-model="moveDistance" uib-btn-radio="1">1</label>
<label class="btn btn-default" ng-model="moveDistance" uib-btn-radio="10">10</label>
<label class="btn btn-default" ng-model="moveDistance" uib-btn-radio="50">50</label>
<label class="btn btn-default nopadrl" ng-model="moveDistance" uib-btn-radio="100">100</label>
</div>
</div>
</uib-accordion>
</div>
</div>
</div>
