<div id="uploadmenucontainer"></div>
<div class="modal-header">
<button type="button" class="close" ng-click="close()" aria-hidden="true">&times;</button>
<h4 class="modal-title" ng-show="confupload.mode"><?php _("Add New Printer from Backup") ?></h4>
<h4 class="modal-title" ng-hide="confupload.mode"><?php _("Restore Printer") ?></h4>
</div>
<div class="modal-body">
<div class="row">
<div class="col-xs-12">
<form id="formuploadconfig" action="{{getRestoreRequestUrl()}}" enctype="multipart/form-data" method="post">
<div class="alert alert-danger" ng-show="confupload.errors.createerror">
{{confupload.errors.createerror}}
</div>
<input type="hidden" name="a" value="upload">
<input type="hidden" name="mode" value="{{confupload.mode}}">
<input type="hidden" name="restoreData" value="{{confupload.restoreData}}">
<input type="hidden" name="slug" value="{{confupload.slug}}">
<input type="hidden" name="serialPort" value="{{confOptions.serialPort}}">
<input type="hidden" name="pipe" value="{{confOptions.pipe}}">
<input type="hidden" name="ipPort" value="{{confOptions.ipPort}}">
<input type="hidden" name="ipAdr" value="{{confOptions.ipAdr}}">
<input type="hidden" name="slug" value="{{printer.slug}}">
<div class="form-group" ng-show="confupload.mode">
<label><?php _("Printer Name") ?></label>
<input autocomplete="off" autofocus type="text" id="uploadPrinterSlug" name="name" class="form-control" ng-model="confupload.name" placeholder="<?php _('Enter Printer Name') ?>" required>
<inputerror error="confupload.errors.name"></inputerror>
</div>
<div class="form-group margin-bottom">
<span class="btn btn-primary btn-file" ng-disabled="uploadConfigProgress !== 0">
<i class="fa fa-upload rs-bigtab"></i> <?php _("Select Backup") ?>
<input type="file" class="form-control" id="confuploadbutton" on-file-change="analyzeRPCFile" name="filename" ng-model="filename">
</span>
{{selectfilename}}
</div>
<div class="form-group">
<div class="checkbox">
<label ng-readonly="uploadConfigProgress !== 0">
<input type="checkbox" ng-readonly="uploadConfigProgress !== 0" name="overwriteConnection" value="{{confupload.overwriteConnection}}" ng-model="confupload.overwriteConnection"> <?php _('Overwrite Connection') ?>
</label>
</div>
</div>
<div ng-hide="!confupload.overwriteConnection || !confOptions.config.available || (confupload.mode === 1 && confOptions.format === 2 && !confOptions.config.available)" class="form-group">
<div ng-if="confOptions.connectionMethod === 0">
<div class="form-group">
<label><?php _('Device / Port') ?></label>
<div class="input-group">
<input class="form-control" type="text" placeholder="" ng-model="confOptions.serialPort" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('For windows systems, this is the port COMx. On unix this is the path to the serial device like /dev/tty.USB0') ?>" popover-trigger="'focus'">
<span class="input-group-btn">
<div class="btn-group" rs-dropdown dropdown-append-to="'#uploadmenucontainer'" is-open="menuPort">
<button type="button" class="btn btn-default" rs-dropdown-toggle>
<?php _('Ports') ?> <span class="caret"></span>
</button>
<ul rs-dropdown-menu role="menu" style="max-height:200px;overflow:auto">
<li ng-repeat="p in ports track by $index">
<a href="javascript:void(0)" ng-click="$parent.confOptions.serialPort=p;$parent.menuPort=false">{{p}}</a>
</li>
</ul>
</div>
</span>
</div>
<div ng-if="portWarning" class="alert alert-warning margin-top">
<?php _('Printers using same port:') ?>
<div ng-bind-html="portWarning"></div>
</div>
</div>
</div>
</div>
<div ng-if="confOptions.connectionMethod === 1 || confOptions.connectionMethod === 3">
<div class="form-group">
<label><?php _('File') ?></label>
<input class="form-control" type="text" placeholder="<?php _('Path to pipe/socket') ?>" ng-model="confOptions.pipe">
</div>
</div>
<div class="" ng-if="confOptions.connectionMethod === 2">
<div class="form-group">
<label><?php _('IP') ?></label>
<input class="form-control" type="text" placeholder="<?php _('IP or domain name') ?>" ng-model="confOptions.ipAdr" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('IP or domain name. No HTTP or similar!') ?>">
</div>
<div class="form-group">
<label><?php _('Port') ?></label>
<input class="form-control" type="number" placeholder="<?php _('Port') ?>" ng-model="confOptions.ipPort" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Smoothieware uses 23. Legal values are from 1-65535') ?>">
</div>
</div>
<div class="alert-danger alert" ng-if="confOptions.format === 3"><?php _('Unknown file format') ?></div>
<label ng-show="confupload.mode === 1"><?php _("Restore Options") ?></label>
<label ng-show="confupload.mode === 0"><?php _("Replacement Options") ?></label>
<div ng-show="confupload.mode === 1 && confOptions.format === 2 && !confOptions.config.available">
<div class="alert-info alert">
<div><?php _('This backup contains no printer configuration. In order to restore a printer with this profile you need to create a new printer profile and then apply this backup by choosing "Restore Printer".') ?>
</div>
<div class="btn btn-success pull-right" ng-click="newPrinter()"><?php _('Add new Printer') ?></div>
<div class="clearfix"></div>
</div>
</div>
<div class="alert-info alert" ng-if="confOptions.format === 2 && confupload.mode === 0"><?php _('Note: Selected options will get overwritten. Please make sure that you have saved all needed data before using this backup.') ?></div>
<div class="alert-info alert" ng-if="selectfilename.length === 0 && confupload.mode === 1"><?php _('Select file first to see available restore options.') ?></div>
<div class="alert-info alert" ng-if="selectfilename.length === 0 && confupload.mode === 0"><?php _('Select file first to see available replacement options.') ?></div>
<div ng-hide="confOptions.format === 0 || (confupload.mode === 1 && confOptions.format === 2 && !confOptions.config.available)">
<div class="alert-info alert" ng-if="confOptions.format === 1"><?php _('The old printer configurations do not contain extra files.') ?></div>
<div ng-show="confOptions.format === 2" class="form-group">
<div class="checkbox">
<label ng-readonly="uploadConfigProgress !== 0">
<input ng-readonly="uploadConfigProgress !== 0" type="checkbox" ng-change="toggleSelectAll()" ng-model="selectAll"> <?php _('Select all') ?>
</label>
</div>
</div>
<div class="form-group">
<div ng-readonly="confupload.mode == 1" class="checkbox">
<label ng-readonly="confupload.mode == 1 || uploadConfigProgress !== 0" ng-show="confOptions.config.available">
<input ng-readonly="confupload.mode == 1 || uploadConfigProgress !== 0" type="checkbox" ng-checked="confOptions.config.restore || confupload.mode == 1" value="{{confOptions.config.restore || confupload.mode == 1}}" name="restoreConfig" ng-model="confOptions.config.restore">
<span ng-show="confupload.mode === 1"><?php _('Restore Configuration') ?></span>
<span ng-show="confupload.mode === 0"><?php _('Replace Configuration') ?></span>
(Size: {{confOptions.config.size | byte}} , File Count {{confOptions.config.count}})
</label>
</div>
</div>
<div class="form-group" ng-show="confupload.mode === 0 && confOptions.config.restore" style="margin-left: 40px">
<div ng-readonly="confupload.mode == 1" class="checkbox">
<label ng-readonly="confupload.mode == 1 || uploadConfigProgress !== 0" ng-show="confOptions.config.available">
<input type="checkbox" ng-true-value="true" ng-false-value="false" value="{{confupload.keepPermanentVariables}}" name="keepPermanentVariables" ng-model="confupload.keepPermanentVariables">
<?php _('Keep existing permanent variables') ?>
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label ng-show="confOptions.jobs.available" ng-readonly="uploadConfigProgress !== 0">
<input ng-readonly="uploadConfigProgress !== 0" type="checkbox" value="{{confOptions.jobs.restore}}" name="restoreJobs" ng-model="confOptions.jobs.restore">
<span ng-show="confupload.mode === 1"><?php _('Restore Print Jobs') ?></span>
<span ng-show="confupload.mode === 0"><?php _('Replace Print Jobs') ?></span>
(Size: {{confOptions.jobs.size | byte}} , Job Count {{confOptions.jobs.countFiltered}})
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label ng-show="confOptions.models.available" ng-readonly="uploadConfigProgress !== 0">
<input ng-readonly="uploadConfigProgress !== 0" type="checkbox" value="{{confOptions.models.restore}}" name="restoreModels" ng-model="confOptions.models.restore">
<span ng-show="confupload.mode === 1"><?php _('Restore G-Code Files') ?></span>
<span ng-show="confupload.mode === 0"><?php _('Replace G-Code Files') ?></span>
(Size: {{confOptions.models.size | byte}} , Model Count {{confOptions.models.countFiltered}})
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label ng-show="confOptions.timelapses.available" ng-readonly="uploadConfigProgress !== 0">
<input type="checkbox" name="restoreTimelapse" ng-readonly="uploadConfigProgress !== 0" value="{{confOptions.timelapses.restore}}" ng-model="confOptions.timelapses.restore">
<span ng-show="confupload.mode === 1"><?php _('Restore Timelapses') ?></span>
<span ng-show="confupload.mode === 0"><?php _('Replace Timelapses') ?></span>
(Size: {{confOptions.timelapses.size | byte}} , Timelapse Count {{confOptions.timelapses.countFiltered}})
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label ng-show="confOptions.logs.available" ng-readonly="uploadConfigProgress !== 0">
<input type="checkbox" name="restoreLogs" ng-readonly="uploadConfigProgress !== 0" value="{{confOptions.logs.restore}}" ng-model="confOptions.logs.restore">
<span ng-show="confupload.mode === 1"><?php _('Restore Logs') ?></span>
<span ng-show="confupload.mode === 0"><?php _('Replace Logs') ?></span>
(Size: {{confOptions.logs.size | byte}} , File Count {{confOptions.logs.count}})
</label>
</div>
</div>
</div>
</form>
</div>
</div>
</div>
<div class="modal-footer">
<div>
<label class="text-danger" ng-show="spaceNeeded < 0"><?php _('Not enough disk space! Additional space needed:') ?>
{{spaceNeeded * -1 | byte}}</label>
</div>
<button type="button" class="btn btn-default" ng-disabled="uploadConfigProgress !== 0" ng-click="close()"><?php _("Close") ?></button>
<button type="button" class="btn btn-primary" ng-click="createPrinterFromConfig()" ng-disabled="!canUpload()" ng-show="confupload.mode === 1 && uploadConfigProgress === 0"><?php _("Create Printer") ?></button>
<button type="button" class="btn btn-primary" disabled="disabled" ng-show="uploadConfigProgress > 0 && uploadConfigProgress !== 100"><?php _("Uploading ...") ?>
{{uploadConfigProgress}}%
</button>
<button type="button" class="btn btn-primary" disabled="disabled" ng-show="uploadConfigProgress == 100 && confupload.mode === 1">
<i class="fa fa-spinner fa-spin"></i><?php _("Creating ...") ?> {{restoreProgress}}%
</button>
<button type="button" class="btn btn-primary" disabled="disabled" ng-show="uploadConfigProgress == 100 && confupload.mode === 0">
<i class="fa fa-spinner fa-spin"></i><?php _("Replacing ...") ?> {{restoreProgress}}%
</button>
<button type="button" class="btn btn-primary" ng-click="createPrinterFromConfig()" ng-disabled="!canUpload()" ng-show="confupload.mode === 0 && uploadConfigProgress === 0"><?php _("Restore Printer") ?></button>
</div>
