<div class="modal-header">
<button type="button" class="close" ng-click="cancel()" aria-hidden="true">&times;</button>
<h4 class="modal-title">{{headline}}</h4>
</div>
<div class="modal-body">
<div class="list-group">
<h2><?php _('Select Printer') ?></h2>
<div class="list-group-item" style="display: inline-flex; width: 100%">
<label style="display:inline-flex; font-weight: normal; margin-bottom: 0;" ng-click="selectAllPrinters(true)">
<input type="checkbox" ng-model="checkAllIdle">
<div style="margin-right: 20px; margin-left: 8px; padding-top: 2px"><?php _('Select all Idle') ?></div>
</label>
<label style="display:inline-flex; font-weight: normal; margin-bottom: 0;" ng-click="selectAllPrinters(false)">
<input type="checkbox" ng-model="checkAll">
<div style="margin-right: 20px; margin-left: 8px; padding-top: 2px"><?php _('Select all') ?></div>
</label>
</div>
<a href="javascript:void(0)" class="list-group-item" style="display: inline-flex; width: 100%" ng-repeat="p in printerList track by p.slug">
<label style="display:inline-flex; margin-bottom: 0; font-weight: normal" ng-click="unselectCheckAll()">
<input type="checkbox" ng-model="selections[p.slug]" style="margin-right: 15px;">
<span ng-bind-html="printer[p.slug].status | onlinecircle | unsafe"></span>
<div style="margin-left: 8px;margin-right: 8px">{{p.name}}</div>
<span ng-bind-html="p | online | unsafe">
<span class="label label-success label-online"></span>
</span>
</label>
<div ng-if="printerConfig[p.slug].general.enableQueue" class="btn btn-primary btn-xs pull-right hidden-xs" style="margin-left: auto" ng-click="selectPrinter(p, false)">
<i class="rs rs-queue"></i>
<span><?php _('Queue G-Code') ?></span>
</div>
<div class="btn btn-primary btn-xs pull-right margin-right hidden-xs" style="margin-left: 10px; margin-right: 0;" ng-click="selectPrinter(p, true)" ng-if="!printer[p.slug].status.jobid && p.online===1">
<i class="rs rs-print"></i>
<span><?php _('Print') ?></span>
</div>
</a>
</div>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-primary" ng-click="selectPrinters(true)">
<i class="rs rs-print"></i> <?php _('Print Selected') ?>
</button>
<button type="button" class="btn btn-primary" ng-click="selectPrinters(false)">
<i class="rs rs-queue"></i> <?php _('Queue Selected') ?>
</button>
<button type="button" class="btn btn-default" ng-click="cancel()">
<i class="fa fa-times"></i> <?php _('Cancel') ?>
</button>
</div>
