<div class="modal-header">
<h4 class="modal-title"><i class="fa fa-user"></i> <?php _('Create new User') ?></h4>
</div>
<div class="modal-body">
<ng-form name="cUser">
<input style="opacity: 0;position: absolute;">
<input type="password" style="opacity: 0;position: absolute;">
<div ng-show="edituser.error" class="alert alert-danger">{{edituser.error}}</div>
<div class="form-group">
<label><?php _('Login') ?></label>
<input type="text" class="form-control" ng-model="edituser.login" name="login" placeholder="<?php _('Login') ?>" autocomplete="new-login" required>
<div ng-show="loginError" class="error"><?php _('No login given!') ?></div>
</div>
<div class="form-group">
<label><?php _('User Name') ?> (<?php _('Optional') ?>)</label>
<input type="text" class="form-control" ng-model="edituser.name" name="name" placeholder="<?php _('User Name') ?>" autocomplete="new-nope">
<div ng-show="loginError" class="error"><?php _('No user name given!') ?></div>
</div>
<div class="form-group">
<label><?php _('Password') ?></label>
<input type="password" class="form-control" ng-model="edituser.password" name="password" autocomplete="off" placeholder="<?php _('Password') ?>" required>
</div>
<div class="form-group">
<label><?php _('Confirm Password') ?></label>
<input type="password" class="form-control" ng-model="edituser.password2" placeholder="<?php _('Password') ?>" name="password2" autocomplete="off" required>
<div ng-show="passwordError" class="error"><?php _('Your passwords are not identical!') ?></div>
<div ng-show="passwordError2" class="error"><?php _('No password set!') ?></div>
</div>
<div class="checkbox" ng-if="user.adminPermission">
<label>
<input type="checkbox" ng-model="edituser.admin" ng-true-value="1" ng-false-value="0" ng-disabled="roa">
<?php _('User is admin and can set all permissions for all users') ?>
</label>
</div>
<div class="checkbox" ng-if="user.adminPermission">
<label>
<input type="checkbox" ng-model="edituser.manageAccounts" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can manage accounts he created') ?>
</label>
</div>
<div class="checkbox" ng-if="user.changePasswordPermission">
<label>
<input type="checkbox" ng-model="edituser.changePasswords" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can change his password') ?>
</label>
</div>
<div class="checkbox" ng-if="user.printPermission">
<label>
<input type="checkbox" ng-model="edituser.print" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can print') ?>
</label>
</div>
<div class="checkbox" ng-if="user.fullStopPermission">
<label>
<input type="checkbox" ng-model="edituser.fullStop" ng-true-value="1" ng-false-value="0" ng-disabled="ro" ng-change="checkValid()" ng-disabled="ro">
<?php _('Full Stop / Stop / Pause / Deactivate') ?>
</label>
</div>
<div class="checkbox" ng-if="user.readPermission">
<label>
<input type="checkbox" ng-model="edituser.readfiles" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can read files') ?>
</label>
</div>
<div class="checkbox" ng-if="user.addPermission">
<label>
<input type="checkbox" ng-model="edituser.addfiles" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can add new files') ?>
</label>
</div>
<div class="checkbox" ng-if="user.delPermission">
<label>
<input type="checkbox" ng-model="edituser.deletefiles" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can delete files') ?>
</label>
</div>
<div class="checkbox" ng-if="user.seeProjectsPermission">
<label>
<input type="checkbox" ng-model="edituser.seeprojects" ng-true-value="1" ng-false-value="0" ng-disabled="ro" ng-change="checkValid()">
<?php _('User can see all projects') ?>
</label>
</div>
<div class="checkbox" style="margin-left:20px" ng-if="user.editProjectsPermission">
<label ng-disabled="ro || !edituser.seeprojects">
<input type="checkbox" ng-model="edituser.editprojects" ng-true-value="1" ng-false-value="0" ng-disabled="ro || !edituser.seeprojects" ng-change="checkValid()">
<?php _('User can edit all projects') ?>
</label>
</div>
<div class="checkbox" ng-if="user.historyPermission">
<label>
<input type="checkbox" ng-model="edituser.history" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can change all history entries') ?>
</label>
</div>
<div class="checkbox" ng-if="user.changeConfigPermission">
<label>
<input type="checkbox" ng-model="edituser.configure" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can configure the server') ?>
</label>
</div>
<div ng-show="error" class="alert alert-danger alert-block" style="margin-top:10px">
{{error}}
</div>
</ng-form>
</div>
<div class="modal-footer">
<div class="flex-toolbar" style="justify-content: flex-end">
<button type="button" class="btn btn-primary" ng-click="sendCreateUser()" ng-disabled="cUser.$invalid">
<i class="fa fa-check"></i> <?php _('Create User') ?></button>
<button type="button" class="btn btn-default" ng-click="$dismiss()"><i class="fa fa-times"></i> <?php _('Cancel') ?>
</button>
</div>
</div>
