<h1 class="page-header" style="margin-top: 0"><i class="fa fa-desktop"></i> <?php _('Graphical User Interface') ?></h1>
<h3><?php _('Emergency Icon') ?></h3>
<div class="row clearfix">
<div class="col-xs-6" style="text-align: center">
<label>
<span class="fa-stack" style="width: 50px;height: 50px;font-size:50px"><i class="rs rs-emergency-1 fa-stack-1x" style="width: 50px;height: 50px;line-height: 50px"></i><i class="rs rs-emergency-2 fa-stack-1x" style="width: 50px;height: 50px;line-height: 50px"></i><i class="rs rs-emergency-3 fa-stack-1x" style="width: 50px;height: 50px;line-height: 50px"></i><i class="rs rs-emergency-4 fa-stack-1x" style="width: 50px;height: 50px;line-height: 50px"></i></span>
<br>
<input type="radio" ng-model="serverSettings.gui.emergencyIcon" ng-value="0">
</label>
</div>
<div class="col-xs-6" style="text-align: center">
<label>
<span class="fa-stack" style="width: 50px;height: 50px;font-size: 40px;background: #cf0000;color:#ffffff"><i class="fa fa-hand-paper-o fa-stack-1x" style="width: 50px;height: 50px;line-height: 50px"></i></span>
<br>
<input type="radio" ng-model="serverSettings.gui.emergencyIcon" ng-value="1">
</label>
</div>
</div>
<div class="checkbox">
<label>
<input type="checkbox" ng-model="serverSettings.gui.emergencyOnDesktop"><?php _('Show Emergency Button on Dashboard') ?>
</label>
</div>
<div class="alert alert-info clearfix"><?php _('The emergency stop button looks by default like real emergency buttons without having the exactly same function. If your safety officer or you have a problem with this fact, you can choose to use a different icon instead.') ?></div>
<div class="checkbox">
<label>
<input type="checkbox" ng-model="hideLeftSide" ng-true-value="'1'" ng-false-value="'0'" ng-change="setLeftPrinterList(hideLeftSide)"><?php _('Show a list of printers on the left side for wide screens') ?>
</label>
</div>
<div class="checkbox">
<label>
<input type="checkbox" ng-model="serverSettings.animatedLogin" ng-true-value="true" ng-false-value="false"><?php _('Show an Animation on the Login Screen') ?>
</label>
</div>
<h3><?php _('Printer Display') ?></h3>
<h4><?php _('Display Lock') ?></h4>
<div ng-class="{'has-error':!canSaveDisplay}">
<?php _('Unlock Pin') ?>:
<input type="password" maxlength="6" class="form-control" style="width:150px;display: inline-block;" ng-model="unlockPin" autocomplete="nope">
</div>
<small><?php _('Pin may contain up to 6 digits! Leave empty to disable locking.') ?></small><br>
<div class="checkbox">
<label><input type="checkbox" ng-model="lockScreen"> <?php _('Lock screen when screen saver is activated') ?>
</label><br><br>
</div>
<button class="btn btn-primary" ng-disabled="!canSaveDisplay" ng-click="saveDisplay()">
<i class="fa fa-save"></i> <?php _('Save Display Settings') ?>
</button>
<h4><?php _('Messages') ?></h4>
<switch class="small" ng-model="serverSettings.gui.autopopupMessages"></switch>
&nbsp; <?php _('Automatically pop up new messages') ?>
<h4><?php _('Animations') ?></h4>
<switch class="small" ng-model="serverSettings.gui.noAnimation"></switch>&nbsp; <?php _('Disable Animations') ?>
<h4><?php _('Active Printer Name') ?></h4>
<p><?php _('These settings are only used when there is more than one printer defined!') ?></p>
<label>
<input type="radio" ng-model="serverSettings.gui.printerNamePos" ng-value="0">
<?php _('Hide printer name in functions') ?>
</label><br>
<label>
<input type="radio" ng-model="serverSettings.gui.printerNamePos" ng-value="1">
<?php _('Alternate function and printer name in header') ?>
</label><br>
<label>
<input type="radio" ng-model="serverSettings.gui.printerNamePos" ng-value="2">
<?php _('Show printer name in side bar') ?>
</label>
