<div class="row">
<div class="col-lg-12">
<h1 class="page-header clearfix">
<span ng-click="showPrinterCondition()" style="cursor: pointer;margin-right:10px" title="{{active | printerConditionText}}">
<span ng-bind-html="active.status | onlinecircle | unsafe"></span><span ng-if="active.reconnectCounter">({{active.reconnectCounter}})</span>
<span style="font-size: 16px;display: inline-block;vertical-align: top;margin-left: -8px;" ng-if="active.status.active && active.status.online === 1 && active.state.condition !== 1" ng-bind-html="active | printerConditionIcon | unsafe"></span>
</span>
{{cheadline}}
<div class="pull-right">
<button class="btn btn-primary" style="margin-right:10px" ng-click="showPrinter(activeSlug)"><i class="fa fa-reply rs-bigtab"></i> <?php _('Printer') ?>
</button>
<button ng-hide="config.hasErrors()" class="btn btn-success" ng-click="config.save()"><i class="fa fa-save rs-bigtab"></i> <?php _('Save Configuration') ?>
</button>
<button ng-show="config.hasErrors()" class="btn btn-danger disabled" ng-click="config.save()"><i class="fa fa-save rs-bigtab"></i> <?php _('Fix errors to update') ?>
</button>
<div class="btn-group" style="margin-left:10px" rs-dropdown dropdown-append-to-body is-open="menuOpen" id="printerContextMenu">
<button type="button" class="btn btn-default" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</button>
<ul rs-dropdown-menu class="dropdown-menu" id="printerContextMenu2">
<li ng-hide="!user.printPermission || active.status.active" class="menu_printer_activate">
<a class="extrapad" ng-click="closeMenu();RSPrinters.activate(active.status)" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-link fg-success"></rs-menu-icon>
<?php _('Activate') ?>
</a>
</li>
<li ng-show="(user.printPermission || user.fullStopPermission) && active.status.active && !active.status.jobid" class="menu_printer_deactivate">
<a class="extrapad" ng-click="closeMenu();RSPrinters.deactivate(active.status)" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-ban fg-danger"></rs-menu-icon>
<?php _('Deactivate') ?>
</a>
</li>
<li ng-show="user.printPermission && active.status.jobid">
<a class="extrapad" ng-click="closeMenu();RSPrinter.toggleShutdownAfterPrint()" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-plug {{active.state.shutdownAfterPrint ? 'fg-success' : ''}}"></rs-menu-icon>
<?php _('Shutdown after Print') ?>
</a>
</li>
<li ng-show="user.printPermission && active.status.active && activeConfig.general.softwarePower" class="menu_printer_power">
<a class="extrapad" ng-click="closeMenu();RSPrinter.power()" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-power-off" color-class="{{$root.active.state.powerOn ? 'text-success' : 'text-danger'}}"></rs-menu-icon>
<?php _('Power On/Off') ?>
</a>
</li>
<li ng-show="active.status.online"><a class="extrapad" ng-click="closeMenu();RSPrinter.showConnectionData()" href="javascript:void(0)">
<rs-menu-icon icon="fa fa-info-circle"></rs-menu-icon> <?php _('Connection Information') ?>
</a>
</li>
<li ng-show="active.status.online && user.changeConfigPermission && activeConfig.general.eepromType!='none'">
<a class="extrapad" ui-sref="printer.eeprom({slug:activeSlug})">
<rs-menu-icon class="rs rs-eeprom-settings"></rs-menu-icon>
<?php _('Printer EEPROM') ?>
</a>
</li>
<li ng-show="user.changeConfigPermission">
<a class="extrapad" ng-click="closeMenu();RSPrinter.recomputeAllGCodeInfo()">
<rs-menu-icon class="fa fa-recycle"></rs-menu-icon>
<?php _('Reparse all G-Codes') ?>
</a>
</li>
<li ng-if="activeConfig.general.printerHomepage">
<a target="_blank" href="{{activeConfig.general.printerHomepage}}">
<rs-menu-icon icon="fa fa-home"></rs-menu-icon> <?php _('Homepage') ?>
</a>
</li>
<li ng-if="activeConfig.general.printerManual">
<a target="_blank" href="{{activeConfig.general.printerManual}}">
<rs-menu-icon icon="fa fa-book"></rs-menu-icon><?php _('Printer Manual') ?>
</a>
</li>
<li ng-repeat="p in frontend.printerMenu" ng-class="'menu_prio_'+p.prio">
<a ng-click="closeMenu();p.exec()" class="extrapad">
<rs-menu-icon ng-show="p.icon" icon-img="p.icon"></rs-menu-icon>
{{p.name}}</a>
</li>
</ul>
</div>
</div>
</h1>
</div>
</div>
<form novalidate>
<ul class="nav nav-tabs" id="printerTabs">
<li ui-sref-active="'active'" ng-repeat="p in frontend.printerConfigTabs track by $index">
<a ui-sref="{{p.state}}"><i ng-if="p.icon" class="rs-bigtab" ng-class="p.icon"></i> {{p.name}}</a>
</li>
</ul>
<div id="printer-views" class="tab-content" ui-view>
</div>
</form>
<rs-dialog ng-repeat="d in active.dialogs track by d.id" dialog="d"></rs-dialog>
