<div class="tab-pane active" id="panel5">
<div ng-if="!hasWebcamSupport" class="alert alert-warning margin-top"><?php _('This feature requires the Pro version!') ?>
<a class="btn btn-success" href="https://www.repetier-server.com/version-comparison/" target="_blank"><?php _('Upgrade to Pro Version') ?></a>
</div>
<rs-print-status></rs-print-status>
<ng-form ng-if="hasWebcamSupport" name="formWebcam">
<div class="panel panel-default margin-top" ng-show="index == 0">
<div class="panel-heading" style="display: flex ; justify-content:space-between; flex-wrap: wrap;align-items: center;row-gap: 10px;">
<div style="white-space: nowrap">
<i class="fa fa-play-circle margin-right"></i><?php _('Finished Timelapse Videos') ?>
</div>
<div class="" style="margin-left:auto">
<div style="align-items: center;display: flex;flex-wrap: wrap">
<span><?php _('Hide failed/aborted Timelapses') ?></span>
<div class="margin-left margin-right">
<switch class="small" ng-true-value="1" ng-false-value="0" ng-model="globals.timelapseView.hideFailed" ng-change="updateHideFailed()"></switch>
</div>
<div class="btn-group" style="white-space: nowrap">
<label class="btn btn-default" ng-model="globals.timelapseView.viewMode" uib-btn-radio="1" ng-change="updateViewMode()"><i class="fa fa-th-list rs-big"></i></label>
<label class="btn btn-default" ng-model="globals.timelapseView.viewMode" uib-btn-radio="2" ng-change="updateViewMode()"><i class="fa fa-th rs-big"></i></label>
</div>
</div>
</div>
</div>
<div ng-show="globals.timelapseView.viewMode == 2" class="panel-body">
<div class="row">
<div ng-repeat="v in videos.timelapses track by $index" ng-show="v.conversionMode != 3 || !globals.timelapseView.hideFailed" ng-class="{'bg-danger':f.error,'bg-warning':f.processing,zoomOut:delAnimation}" class="col-xs-6 col-sm-4 col-md-3">
<div class="gcodeIconContainer">
<h2 class="iconGCodeHeader">
<i ng-if="v.icon" ng-class="v.icon"></i>
{{v.name}}
</h2>
<div class="iconGCode">
<img onload='this.style.display = "block"' ng-src="{{'/timelapse/thumbnail/' + activeSlug + '?entry=' + v.enc +'&v=' + renderingVersion}}" style="display: none; vertical-align: middle; height: 200px; object-fit: cover">
<div class="hoverboxTL" ng-if="v.conversionMode != 3">
<div ng-if="v.edit" class="btn btn-primary btn-xs" ng-click="editVideo(v)">
<i class="fa fa-eye"></i>
</div>
</div>
<div class="hoverboxTR" ng-if="v.conversionMode==2 || v.conversionMode==4">
<a class="btn btn-primary btn-xs" href="/timelapse/download/{{activeSlug}}?entry={{v.enc}}">
<i class="fa fa-download"></i>
</a>
<div ng-show="f.processing"><i class="fa fa-spinner fa-spin"></i></div>
</div>
<div class="hoverboxBR hover-parent-white">
{{v.dateText}}
</div>
<div ng-if="user.delPermission" class="hoverboxBL">
<div type="button" ng-click="deleteVideo(v)" class="btn text-danger btn-xs pull-right light-textshadow" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o" style="font-size:1.6em"></i></div>
</div>
</div>
</div>
</div>
</div>
</div>
<div ng-show="globals.timelapseView.viewMode == 1" class="table-responsive">
<table class="table table-hover vmiddle">
<tr>
<th colspan="2" style="width:60px;text-align: center"></th>
<th><?php _('Name') ?></th>
<th class="hidden-xs" style="white-space: nowrap"><?php _('Date') ?></th>
<th class="hidden-xs" style="white-space: nowrap"><?php _('Size') ?></th>
<th style="text-align: center;width:120px" colspan="2"><?php _('Action') ?></th>
</tr>
<tr ng-repeat="v in videos.timelapses track by $index" ng-show="v.conversionMode != 3 || !globals.timelapseView.hideFailed">
<td style="text-align: center"><input type="checkbox" ng-model="v.selected"></td>
<td style="width:100px;text-align: center; padding: 0 8px 0 0;">
<img ng-src="{{'/timelapse/thumbnail/' + activeSlug + '?entry=' + v.enc +'&v=' + renderingVersion}}" style="vertical-align: middle; max-width: 100%;max-height: 70px;">
</td>
<td>
<i ng-if="v.icon" ng-class="v.icon"></i>
{{v.name}}
</td>
<td class="hidden-xs" style="white-space: nowrap" ng-click="toggleRecordSelection(v)">{{v.dateText}}</td>
<td class="hidden-xs" style="white-space: nowrap" ng-click="toggleRecordSelection(v)">{{v.sizeText}}</td>
<td style="white-space: nowrap; text-align: right">
<div ng-if="v.edit" class="btn btn-primary btn-xs" ng-click="editVideo(v)">
<i class="fa fa-eye"></i>
</div>
<a class="btn btn-primary btn-xs margin-left" ng-style="{'visibility': (v.conversionMode==2 || v.conversionMode==4) ? 'visible' : 'hidden'}" href="/timelapse/download/{{activeSlug}}?entry={{v.enc}}" target="ihelper">
<i class="fa fa-download"></i>
</a>
<div ng-if="v.conversionMode==-1" class="btn btn-danger btn-xs pull-right" ng-click="stopRecording(v)">
<i class="fa fa-stop"></i></div>
</td>
<td style="width: 30px">
<div ng-if="v.conversionMode>1 && user.delPermission" class="btn text-danger btn-xs pull-right" ng-click="deleteVideo(v)">
<i class="fa fa-trash-o" style="font-size:1.2em"></i></div>
</td>
</tr>
<tr>
<td colspan="7" ng-if="user.delPermission">
<div class="btn btn-primary btn-sm" ng-click="selectAllRecods()">
<i class="fa fa-plus rs-bigtab"></i>
</div>
<div class="btn btn-primary btn-sm" ng-click="deselectAllRecods()">
<i class="fa fa-minus rs-bigtab"></i>
</div>
<div class="btn btn-danger btn-sm margin-left" ng-click="deleteSelectedRecords()">
<i class="fa fa-trash-o rs-bigtab"></i> <?php _('Delete Selected') ?>
</div>
</td>
</tr>
</table>
</div>
</div>
<div class="panel panel-default margin-top" ng-show="index == 1">
<div class="panel-heading"><i class="fa fa-video-camera margin-right"></i><?php _('Video') ?>
<div class="pull-right"><button class="btn btn-danger" style="height: 22px;width: 14px;" ng-click="closeEdit()"><i class="fa fa-times"></i></button></div>
</div>
<div class="panel-body">
<div class="list-group">
<a href="javascript:void(0)" class="list-group-item" ng-if="edit.conversionMode<2">
<?php _('Action') ?>
<span class="pull-right"><i class="fa fa-spin fa-spinner"></i> <?php _('Converting') ?></span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Created') ?>
<span class="pull-right">{{edit.dateText}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item" ng-if="edit.imageCounter>0">
<?php _('Frames') ?>
<span class="pull-right">{{edit.imageCounter}}</span>
</a>
<a ng-if="edit.conversionMode==2" href="javascript:void(0)" class="list-group-item">
<?php _('Video Size') ?>
<span class="pull-right">{{edit.sizeText}}</span>
</a>
<a ng-if="edit.conversionMode==2" href="javascript:void(0)" class="list-group-item">
<?php _('Frames per Second') ?>
<span class="pull-right">{{edit.framerate}}</span>
</a>
<a ng-if="edit.conversionMode==2" href="javascript:void(0)" class="list-group-item">
<?php _('Bitrate') ?>
<span class="pull-right">{{edit.bitrate}} kbps</span>
</a>
<a ng-if="edit.conversionMode==3" href="javascript:void(0)" class="list-group-item clearfix">
<?php _('Error') ?>
<span class="pull-right">{{edit.conversionError}}</span>
</a>
<a ng-if="edit.stoppedManually !== false" href="javascript:void(0)" class="list-group-item clearfix">
<strong><?php _('This timelapse may not cover the full print!') ?></strong>
</a>
</div>
<div class="margin-top">
<a ng-if="edit.conversionMode===2 || edit.conversionMode===4" class="btn btn-primary" href="/timelapse/download/{{activeSlug}}?entry={{edit.enc}}" target="ihelper"><i class="fa fa-download rs-bigtab"></i> <?php _('Video') ?>
</a>
<a ng-if="edit.imageCounter>0" class="btn btn-primary" href="/timelapse/downloadImages/{{activeSlug}}?entry={{edit.enc}}" target="ihelper"><i class="fa fa-download rs-bigtab"></i> <?php _('Images') ?>
</a>
<div ng-if="(edit.conversionMode===2 || edit.conversionMode===4) && user.editProjectsPermission" class="btn btn-primary" ng-click="archiveVideo(edit)">
<i class="fa fa-archive"></i> <?php _('Video to Project') ?>
</div>
<div class="btn btn-primary" ng-click="recreateVideo(edit)" ng-if="user.printPermission && edit.imageCounter>0 && edit.conversionMode!==4">
<i class="fa fa-refresh rs-bigtab"></i> <?php _('Recreate Video') ?></div>
<div class="pull-right">
<div class="btn btn-danger" ng-click="deleteImages(edit)" ng-if="user.delPermission && edit.conversionMode===2">
<i class="fa fa-trash-o rs-bigtab"></i> <?php _('Delete Images') ?>
</div>
<div class="btn btn-danger" ng-click="deleteVideo(edit)" ng-if="user.delPermission">
<i class="fa fa-trash-o rs-bigtab"></i> <?php _('Delete') ?>
</div>
</div>
</div>
<uib-tabset class="margin-top" ng-if="edit.imageCounter>0 || edit.conversionMode===4">
<uib-tab ng-if="edit.imageCounter>0 && edit.conversionMode!==4" deselect="deselectVideo()">
<uib-tab-heading><i class="fa fa-picture-o rs-bigtab"></i> <?php _('Images') ?></uib-tab-heading>
<div style="margin:10px auto;text-align: center">
<img ng-src="{{editimage}}" ng-on-load="imageShown()" id="editimage" style="vertical-align: middle;max-width:100%">
</div>
<div style="text-align: center;margin:8px 0">
{{editImage+1}}/{{edit.imageCounter}}
</div>
<div class="slidervl rsslider slider-autohide margin-bottom">
<rzslider rz-slider-model="sliderOptions.model" rz-slider-options="sliderOptions"></rzslider>
</div>
<div class="btn-group btn-group-justified">
<div class="btn btn-primary btn-block" ng-click="addImagePos(-1)">
<i class="fa fa-step-backward"></i></div>
<label class="btn btn-primary" ng-model="editPlay" uib-btn-radio="-2" ng-click="setPlay(-2)"><i class="fa fa-backward rs-bigtab"></i></label>
<label class="btn btn-primary" ng-model="editPlay" uib-btn-radio="-1" ng-click="setPlay(-1)"><i class="fa fa-play fa-rotate-180 rs-bigtab"></i></label>
<label class="btn btn-primary" ng-model="editPlay" uib-btn-radio="0" ng-click="setPlay(0)"><i class="fa fa-pause rs-bigtab"></i></label>
<label class="btn btn-primary" ng-model="editPlay" uib-btn-radio="1" ng-click="setPlay(1)"><i class="fa fa-play rs-bigtab"></i></label>
<label class="btn btn-primary" ng-model="editPlay" uib-btn-radio="2" ng-click="setPlay(2)"><i class="fa fa-forward rs-bigtab"></i></label>
<div class="btn btn-primary btn-block" ng-click="addImagePos(1)">
<i class="fa fa-step-forward rs-bigtab"></i>
</div>
</div>
</uib-tab>
<uib-tab ng-if="edit.conversionMode==2 || edit.conversionMode==4">
<uib-tab-heading><i class="fa fa-video-camera rs-bigtab"></i> <?php _('Video') ?></uib-tab-heading>
<div style="margin:10px auto;text-align: center">
<video controls="true" style="max-width:100%" ng-src="{{edit.videoLink}}" type="video/mp4" autobuffer id="editvideo">
<div><?php _('Sorry, but your browser does not support mp4 videos.') ?></div>
</video>
</div>
</uib-tab>
</uib-tabset>
</div>
</div>
</ng-form>
<div class="margin-top" style="height:30px"></div>
</div>
