<h1 class="page-header"><i class="fa fa-archive"></i> <?php _('Projects') ?>
<div class="btn btn-primary pull-right" ng-click="search()"><i class="fa fa-search"></i> <?php _('Search') ?></div>
</h1>
<ol class="breadcrumb">
<li>
<?php _('Server') ?>:
<div style="display: inline-block">
<select class="form-control" ng-model="loadedServer" ng-options="f as f.name for f in serverList" ng-change="selectServer(loadedServer)"></select>
</div>
</li>
<li ng-repeat="f in folderTree"><a href="javascript:void(0)" ng-click="selectFolderLevel($index)">{{f.name}}</a></li>
</ol>
<div ng-if="user.editProjectsPermission">
<div class="btn btn-primary margin-bottom" ng-click="addProject()">
<i class="fa fa-plus"></i> <?php _('Add Project') ?></div>
<div class="btn btn-primary margin-bottom" ng-click="addFolder()">
<i class="fa fa-plus"></i> <?php _('Add Folder') ?></div>
<form style="display:inline-block">
<span class="btn btn-primary btn-file margin-bottom" ng-disabled="uploading">
<i class="fa fa-upload rs-bigtab"></i> <span ng-hide="uploading"><?php _('Import Project') ?></span><span ng-show="uploading"><?php _('Uploading ...') ?>{{uploadProgress}}%</span>
<input type="file" name="filename" id="FilenameUpload" multiple="multiple" onchange="handleUpload()" accept=".rsproj">
</span>
</form>
<form style="display:inline-block">
<span class="btn btn-primary btn-file margin-bottom" ng-disabled="uploadingZip">
<i class="fa fa-upload rs-bigtab"></i> <span ng-hide="uploadingZip"><?php _('Import ZIP') ?></span><span ng-show="uploadingZip"><?php _('Uploading ...') ?>{{uploadProgress}}%</span>
<input type="file" name="filename" id="FilenameUploadZip" multiple="multiple" onchange="handleUploadZip()" accept=".zip">
</span>
</form>
</div>
<div>
<div class="margin-top">
<div class="row">
<div ng-repeat="f in activeFolder.folders track by f.idx" class="col-xs-6 col-sm-4 col-md-3">
<div class="gcodeIconContainer">
<h2 class="iconGCodeHeader">
<span><i class="fa fa-folder"></i>
<rs-in-place-string ng-if="user.editProjectsPermission" value="f.name" changed="newFolderName(oldValue,newValue,f)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{f.name}}</span>
</span>
</h2>
<div class="iconGCode image_4by3" ng-click="selectFolder(f)">
<img ng-src="/img/folder_m.png" class="i4by3 iconGCode">
<div ng-if="user.editProjectsPermission" class="hoverboxTR" title="<?php _('Delete Folder') ?>">
<div type="button" ng-click="tryDeleteFolder(f,$event)" class="btn text-danger btn-xs pull-right light-textshadow">
<i class="fa fa-trash-o" style="font-size:1.6em"></i></div>
</div>
</div>
</div>
</div>
<div ng-repeat="f in activeFolder.projects track by $index" class="col-xs-6 col-sm-4 col-md-3">
<div class="gcodeIconContainer">
<h2 class="iconGCodeHeader">
<span>
<rs-in-place-string ng-if="user.editProjectsPermission" value="f.name" changed="newProjectName(oldValue,newValue,f)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{f.name}}</span>
</span>
</h2>
<div class="iconGCode image_4by3" ng-click="selectProject(f)">
<img ng-src="{{f.previewUrl}}" class="i4by3 iconGCodeImage">
<div ng-if="user.editProjectsPermission" class="hoverboxTR">
<div rs-dropdown dropdown-append-to-body is-open="projectMenuOpen[f.uuid]">
<a href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</a>
<ul rs-dropdown-menu class="pull-right">
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="moveProject(f,$event)">
<rs-menu-icon icon="fa fa-long-arrow-right"></rs-menu-icon> <?php _('Move Project') ?>
</a>
</li>
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="copyProject(f,$event)">
<rs-menu-icon icon="fa fa-files-o"></rs-menu-icon> <?php _('Copy Project') ?>
</a>
</li>
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="tryDeleteProject(f,$event)">
<rs-menu-icon icon="fa fa-trash-o text-danger"></rs-menu-icon> <?php _('Delete Project') ?>
</a>
</li>
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="downloadAll(f,$event)">
<rs-menu-icon icon="fa fa-download"></rs-menu-icon> <?php _('Download All Files') ?>
</a>
</li>
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="exportProject(f,$event)">
<rs-menu-icon icon="fa fa-download"></rs-menu-icon> <?php _('Export Project') ?>
</a>
</li>
</ul>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
<div ng-if="user.editProjectsPermission && activeFolder.projects.length >= 12" class="margin-bottom">
<div class="btn btn-primary margin-bottom" ng-click="addProject()">
<i class="fa fa-plus"></i> <?php _('Add Project') ?></div>
<div class="btn btn-primary margin-bottom" ng-click="addFolder()">
<i class="fa fa-plus"></i> <?php _('Add Folder') ?></div>
<form style="display:inline-block">
<span class="btn btn-primary btn-file margin-bottom" ng-disabled="uploading">
<i class="fa fa-upload rs-bigtab"></i> <span ng-hide="uploading"><?php _('Import Project') ?></span><span ng-show="uploading"><?php _('Uploading ...') ?></span>
<input type="file" name="filename" id="FilenameUpload2" onchange="handleUpload2()" accept=".rsproj">
</span>
</form>
<form style="display:inline-block">
<span class="btn btn-primary btn-file margin-bottom" ng-disabled="uploading">
<i class="fa fa-upload rs-bigtab"></i> <span ng-hide="uploading"><?php _('Import ZIP') ?></span><span ng-show="uploading"><?php _('Uploading ...') ?></span>
<input type="file" name="filename" id="FilenameUploadZip2" onchange="handleUploadZip2()" accept=".zip">
</span>
</form>
</div>
<div class="alert alert-info margin-top" ng-if="!isPro()">
<i class="fa fa-info-circle"></i> <?php _('This feature requires a PRO license. Without you are limited to 5 projects with max. 5 models per project.') ?>
</div>
</div>
