<div class="tab-pane active" id="panelPreview">
<div ng-if="!(analyser.layerInfo)">
<div class="alert alert-info margin-top margin-bottom">
<?php _('Fetching g-code data ...') ?>
</div>
</div>
<div ng-if="analyser.layerInfo">
<h2 style="margin:5px 0">{{analyser.layerInfo.name}}</h2>
<div class="btn-group">
<label class="btn btn-default" ng-click="backProject()">
<rs-icon icon="fa fa-angle-left" style="font-size:18px;margin-right:4px"></rs-icon>
<span class="hidden-xs"><?php _('Project') ?></span>
</label>
<label class="btn btn-default" ng-model="previewOptions.showGcode" uib-btn-radio="0">
<rs-icon icon="fa fa-square-o" style="font-size:18px;margin-right:4px"></rs-icon>
<span class="hidden-xs"><?php _('2D Preview') ?></span>
</label>
<label ng-if="isWebGL2Supported" class="btn btn-default" ng-model="previewOptions.showGcode" uib-btn-radio="3">
<rs-icon icon="fa fa-cube" style="font-size:18px;margin-right:4px"></rs-icon>
<span class="hidden-xs"><?php _('3D Preview') ?></span>
</label>
<label class="btn btn-default" ng-model="previewOptions.showGcode" uib-btn-radio="2">
<rs-icon icon="fa fa-picture-o" style="font-size:18px;margin-right:4px"></rs-icon>
<span class="hidden-xs"><?php _('3D Image') ?></span>
</label>
<label class="btn btn-default" ng-model="previewOptions.showGcode" uib-btn-radio="1">
<rs-icon icon="rs rs-file-gcode" style="font-size:18px;margin-right:4px"></rs-icon>
<span class="hidden-xs"><?php _('G-Code') ?></span>
</label>
<label class="btn btn-default" ng-click="download()">
<rs-icon icon="fa fa-download" style="font-size:18px;margin-right:4px"></rs-icon>
<span class="hidden-xs"><?php _('Download') ?></span>
</label>
<label class="btn btn-primary" ng-show="gcodeChanged" ng-click="saveGCode()">
<rs-icon icon="fa fa-save" style="font-size:18px;margin-right:4px"></rs-icon>
<span class="hidden-xs"><?php _('Save G-Code') ?></span>
</label>
</div>
<div ng-show="previewOptions.showGcode===0" style="margin-top:12px">
<div style="display: flex;flex-direction: row;flex-wrap: nowrap;width:100%;justify-content: space-between;">
<div style="flex:1 1 auto;overflow:hidden;">
<div id="container-2d" ng-style="{height: $root.isFullscreen ? '100vh' : height2d}" style="margin:0;padding:0;touch-action: none; width:100%;position:relative">
<rs-bed-view-2d ng-if="previewOptions.showGcode===0 && model" register="setPreview(value)" id="bedview2d" zoom="zoom2d" info="model" live="false" update-legend="updateLegend(value)" easy-zoom="height2d!=='70vh'" show="previewOptions.show" show-retracts="previewOptions.showRetract" show-print="previewOptions.showPrint" show-travel="previewOptions.showTravel" show-extruder="previewOptions.showExtruder"></rs-bed-view-2d>
<div style="position: absolute;right:-20px;width:60px;top:32px;bottom:47px" class="slidervr rsslider label_z slider-autohide">
<rzslider rz-slider-model="$parent.editLayer" rz-slider-options="layerSlider.options"></rzslider>
</div>
<button ng-click="prevLayer()" class="btn btn-default btn-xs btn-primary" style="position:absolute;right:8px;bottom:20px;width:20px">
<i class="fa fa-minus"></i>
</button>
<button ng-click="nextLayer()" class="btn btn-default btn-xs btn-primary" style="position: absolute;right:8px;top:5px;width:20px">
<i class="fa fa-plus"></i>
</button>
<div style="padding-right:0;bottom:0;position:absolute;left:5px;right:60px" class="sliderhb rsslider label_percent slider-autohide">
<rzslider rz-slider-model="percentSlider.percent" rz-slider-options="percentSlider.options"></rzslider>
</div>
<div class="gc-features">
<h3 ng-click="toggle2DLegend()">{{featureHeadline}}
<span class="pull-right margin-left">
<i class="fa" ng-class="{'fa-caret-down':show2dLegend, 'fa-caret-right':!show2dLegend}"></i>
</span>
</h3>
<div ng-if="show2dLegend">
<div ng-repeat="f in features track by $index" style="transition: none;">
<div class="ft-color" ng-style="{background:f.color}"></div>
{{f.name}}
</div>
<hr ng-if="roundFeatures.length">
<div ng-repeat="f in roundFeatures track by $index" style="transition: none;">
<div class="ft-color-round" ng-style="{background:f.color}"></div>
{{f.name}}
</div>
</div>
</div>
<div style="position: absolute;top:10px;right:60px;z-index:100">
<div class="d-inline-block" ng-click="toggle2DMenu('opt2d', $event)">
<div class="gl-btn" style="position:relative;margin-right:10px">
<i class="fa fa-bars gl-2" style="position: relative"></i>
</div>
</div>
<div class="d-inline-block" ng-click="toggle2DMenu('view', $event)">
<div class="gl-btn" style="position:relative;margin-right:10px">
<rs-icon icon-img="'/img/svg/rs-orientation-cube.svg'" color-class="gl-2" style="position: relative"></rs-icon>
</div>
</div>
<div class="d-inline-block" ng-click="toggle2DMenu('info', $event)">
<div class="gl-btn" style="position:relative;margin-right:10px">
<i class="fa fa-info-circle gl-2" style="position: relative"></i>
</div>
</div>
<div ng-if="$root.supportsFullscreen" class="gl-btn" style="position:relative" title3="<?php _('Toggle Full Screen') ?>" ng-click="toggle2DFullscreen()">
<i class="rs gl-2" style="position: relative" ng-class="{'rs-fullscreen':!$root.isFullscreen,'rs-normalscreen':$root.isFullscreen}"></i>
</div>
</div>
<div class="gc-menu" ng-if="menu2d.opt2d" ng-click="$event.stopPropagation()">
<div class="form-group">
<label><?php _('Color Scheme') ?></label>
<select class="form-control" ng-model="previewOptions.show" ng-options="f.value as f.name for f in featureNameMap"></select>
</div>
<div class="checkbox">
<label>
<input type="checkbox" ng-model="previewOptions.showPrint">
<?php _('Show Print Moves') ?>
</label>
</div>
<div class="checkbox">
<label>
<input type="checkbox" ng-model="previewOptions.showTravel">
<?php _('Show Travel Moves') ?>
</label>
</div>
<div class="checkbox">
<label>
<input type="checkbox" ng-model="previewOptions.showRetract">
<?php _('Show Retracts and Unretracts') ?>
</label>
</div>
<div>
<div class="btn btn-primary btn-block" ng-click="saveDefault2dView()"><i class="fa fa-save"></i> <?php _('Default Preview') ?></div>
</div>
</div>
<div class="gc-menu" ng-if="menu2d.view">
<ul>
<li role="menuitem">
<a href="#" ng-click="fitPrinter();toggle2DMenu('')">
<div class="stack">
<rs-icon icon-img="'/img/svg/rs-orientation-cube.svg'"></rs-icon>
</div>
<?php _('Fit Printer') ?>
</a>
</li>
<li role="menuitem">
<a href="#" ng-click="fitObject();toggle2DMenu('')">
<div class="stack">
<rs-icon icon-img="'/img/svg/rs-object.svg'"></rs-icon>
</div>
<?php _('Fit Object') ?>
</a>
</li>
</ul>
</div>
<div class="gc-menu" ng-if="menu2d.info" ng-click="$event.stopPropagation()">
<ul class="list-group" style="text-align: left">
<li class="list-group-item active">
<h4 style="margin:0"><?php _('Layer Data') ?></h4>
</li>
<li class="list-group-item">
<span><?php _('Layer') ?>:</span>
<span>
<button ng-click="prevLayer()" class="btn btn-default btn-xs">
<i class="fa fa-minus"></i>
</button>
&nbsp; <span style="display: inline-block;max-width:50px; margin-left:8px; margin-right:16px"><rs-in-place-number precision="0" changed="layerChanged()" value="$parent.$parent.editLayer"></rs-in-place-number></span>
<button ng-click="nextLayer()" class="btn btn-default btn-xs">
<i class="fa fa-plus"></i>
</button>
</span>
</li>
<li class="list-group-item">
<span><?php _('Z Position') ?>:</span>
<span>{{height | number:3}} mm</span>
</li>
<li class="list-group-item">
<span><?php _('Printing Time') ?>:</span>
<span>{{duration | dhms}}</span>
</li>
<li class="list-group-item">
<span><?php _('Printing Time Elapsed') ?>:</span>
<span>{{durationElapsed | dhms}}</span>
</li>
<li class="list-group-item">
<span><?php _('Printing Time Remaining') ?>:</span>
<span>{{durationRemaining | dhms}}</span>
</li>
<li class="list-group-item">
<span><?php _('Lines') ?>:</span>
<span>{{lineCount}}</span>
</li>
</ul>
<ul class="list-group" style="text-align: left">
<li class="list-group-item active">
<h4 style="margin:0"><?php _('G-Code Analysis') ?></h4>
</li>
<li class="list-group-item">
<span><?php _('Number of Layers') ?>:</span>
<span>{{analyser.totalLayer}}</span>
</li>
<li class="list-group-item">
<span><?php _('Total Z Height') ?>:</span>
<span>{{analyser.totalHeight | number:3}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<span><?php _('X Printed') ?>:</span>
<span>{{analyser.layerInfo.xmin | number:2}} - {{analyser.layerInfo.xmax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<span><?php _('Y Printed') ?>:</span>
<span>{{analyser.layerInfo.ymin | number:2}} - {{analyser.layerInfo.ymax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape==='circle'">
<span><?php _('Radius Printed') ?>:</span>
<span>{{analyser.layerInfo.radius | number:2}} mm</span>
</li>
<li class="list-group-item">
<span><?php _('Total Printing Time') ?>:</span>
<span>{{analyser.totalDuration | dhms}}</span>
</li>
<li class="list-group-item">
<span><?php _('Total Number of Lines') ?>:</span>
<span>{{analyser.totalLines}}</span>
</li>
<li class="list-group-item">
<span><?php _('Slicer') ?>:</span>
<span>{{model.slicer}}</span>
</li>
<li class="list-group-item">
<span><?php _('Volumetric Extrusion') ?>:</span>
<span>{{model.volumetric | yesno}}</span>
</li>
</ul>
</div>
</div>
</div>
</div>
</div>
<div ng-if="previewOptions.showGcode===3 && isWebGL2Supported && model" style="margin-top:12px">
<rs-gcode3d slug="" analyser="analyser" mode="preview" model="model"></rs-gcode3d>
</div>
<div ng-if="previewOptions.showGcode==2" style="margin-bottom: 30px">
<div style="position:relative" ng-click="toggle2DMenu()">
<img style="width:100%" class="margin-top" ng-src="{{imgurl()}}">
<div style="position: absolute;top:20px;right:20px;z-index:100">
<div class="d-inline-block" ng-click="toggle2DMenu('info', $event)">
<div class="gl-btn" style="position:relative;margin-right:10px">
<i class="fa fa-info-circle gl-2" style="position: relative"></i>
</div>
</div>
</div>
<div class="gc-menu" ng-if="menu2d.info" style="top: 60px;right: 20px;" ng-click="$event.stopPropagation()">
<ul class="list-group" style="text-align: left">
<li class="list-group-item active">
<h4 style="margin:0"><?php _('Layer Data') ?></h4>
</li>
<li class="list-group-item">
<span><?php _('Layer') ?>:</span>
<span>
<button ng-click="prevLayer()" class="btn btn-default btn-xs">
<i class="fa fa-minus"></i>
</button>
&nbsp; <span style="display: inline-block;max-width:50px; margin-left:8px; margin-right:16px"><rs-in-place-number precision="0" changed="layerChanged()" value="$parent.$parent.$parent.editLayer"></rs-in-place-number></span>
<button ng-click="nextLayer()" class="btn btn-default btn-xs">
<i class="fa fa-plus"></i>
</button>
</span>
</li>
<li class="list-group-item">
<span><?php _('Z Position') ?>:</span>
<span>{{height | number:3}} mm</span>
</li>
<li class="list-group-item">
<span><?php _('Printing Time') ?>:</span>
<span>{{duration | dhms}}</span>
</li>
<li class="list-group-item">
<span><?php _('Printing Time Elapsed') ?>:</span>
<span>{{durationElapsed | dhms}}</span>
</li>
<li class="list-group-item">
<span><?php _('Printing Time Remaining') ?>:</span>
<span>{{durationRemaining | dhms}}</span>
</li>
<li class="list-group-item">
<span><?php _('Lines') ?>:</span>
<span>{{lineCount}}</span>
</li>
</ul>
<ul class="list-group" style="text-align: left">
<li class="list-group-item active">
<h4 style="margin:0"><?php _('G-Code Analysis') ?></h4>
</li>
<li class="list-group-item">
<span><?php _('Number of Layers') ?>:</span>
<span>{{analyser.totalLayer}}</span>
</li>
<li class="list-group-item">
<span><?php _('Total Z Height') ?>:</span>
<span>{{analyser.totalHeight | number:3}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<span><?php _('X Printed') ?>:</span>
<span>{{analyser.layerInfo.xmin | number:2}} - {{analyser.layerInfo.xmax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<span><?php _('Y Printed') ?>:</span>
<span>{{analyser.layerInfo.ymin | number:2}} - {{analyser.layerInfo.ymax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape==='circle'">
<span><?php _('Radius Printed') ?>:</span>
<span>{{analyser.layerInfo.radius | number:2}} mm</span>
</li>
<li class="list-group-item">
<span><?php _('Total Printing Time') ?>:</span>
<span>{{analyser.totalDuration | dhms}}</span>
</li>
<li class="list-group-item">
<span><?php _('Total Number of Lines') ?>:</span>
<span>{{analyser.totalLines}}</span>
</li>
<li class="list-group-item">
<span><?php _('Slicer') ?>:</span>
<span>{{model.slicer}}</span>
</li>
<li class="list-group-item">
<span><?php _('Volumetric Extrusion') ?>:</span>
<span>{{model.volumetric | yesno}}</span>
</li>
</ul>
</div>
</div>
</div>
<div ng-show="previewOptions.showGcode===1">
<div class="margin-bottom margin-top">
<?php _('Layer') ?>:&nbsp;&nbsp;
<button ng-click="prevLayer()" class="btn btn-default btn-sm">
<i class="fa fa-minus"></i>
</button>
&nbsp; <span style="display: inline-block;max-width:50px; margin-left:8px; margin-right:16px">
<rs-in-place-number precision="0" changed="layerChanged()" value="$parent.editLayer"></rs-in-place-number>
</span>
/ {{analyser.totalLayer}}
<button ng-click="nextLayer()" class="btn btn-default btn-sm" style="margin-right:20px;margin-left:10px"><i class="fa fa-plus"></i>
</button>
<div class="btn-group" rs-dropdown dropdown-append-to-body is-open="$parent.menuSpeed" ng-if="active.status.online==1">
<span class="btn btn-default btn-sm" rs-dropdown-toggle>
<i class="fa fa-info-circle" style="margin:-4px;font-size:20px"></i>
</span>
<ul rs-dropdown-menu>
<li ng-click="$event.stopPropagation()">
<ul class="list-group condensed" style="text-align: left;margin:0 0 10px 0">
<li class="list-group-item active">
<h4 style="margin:0"><?php _('Layer Data') ?></h4>
</li>
<li class="list-group-item">
<?php _('Z Position') ?>:
<span class="pull-right">{{height | number:3}} mm</span>
</li>
<li class="list-group-item">
<?php _('Printing Time') ?>:
<span class="pull-right">{{duration | dhms}}</span>
</li>
<li class="list-group-item">
<?php _('Printing Time Elapsed') ?>:
<span class="pull-right">{{durationElapsed | dhms}}</span>
</li>
<li class="list-group-item">
<?php _('Printing Time Remaining') ?>:
<span class="pull-right">{{durationRemaining | dhms}}</span>
</li>
<li class="list-group-item">
<?php _('Lines') ?>:
<span class="pull-right">{{lineCount}}</span>
</li>
</ul>
<ul class="list-group condensed" style="text-align: left;margin:0">
<li class="list-group-item active">
<h4 style="margin:0"><?php _('G-Code Analysis') ?></h4>
</li>
<li class="list-group-item">
<?php _('Number of Layers') ?>:
<span class="pull-right">{{analyser.totalLayer}}</span>
</li>
<li class="list-group-item">
<?php _('Total Z Height') ?>:
<span class="pull-right">{{analyser.totalHeight | number:3}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<?php _('X Printed') ?>:
<span class="pull-right">{{analyser.layerInfo.xmin | number:2}} - {{analyser.layerInfo.xmax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<?php _('Y Printed') ?>:
<span class="pull-right">{{analyser.layerInfo.ymin | number:2}} - {{analyser.layerInfo.ymax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape==='circle'">
<?php _('Radius Printed') ?>:
<span class="pull-right">{{analyser.layerInfo.radius | number:2}} mm</span>
</li>
<li class="list-group-item">
<?php _('Total Printing Time') ?>:
<span class="pull-right">{{analyser.totalDuration | dhms}}</span>
</li>
<li class="list-group-item">
<?php _('Total Number of Lines') ?>:
<span class="pull-right">{{analyser.totalLines}}</span>
</li>
<li class="list-group-item">
<?php _('Slicer') ?>:
<span class="pull-right">{{model.slicer}}</span>
</li>
<li class="list-group-item">
<?php _('Volumetric Extrusion') ?>:
<span class="pull-right">{{model.volumetric | yesno}}</span>
</li>
</ul>
<div class="" ng-if="user.addPermission" style="padding: 5px;margin:10px;max-width:300px;white-space: normal;text-align: left">
<i class="fa fa-question-circle"></i>
<?php _('Click on line number to edit g-code.') ?>
<?php _('Click on layer number to enter value directly.') ?>
</div>
</li>
</ul>
</div>
</div>
<div>
<div id="layercode" class="gcode margin-top select-text" style="max-height:{{heightGCode}};overflow-y:auto;overflow-x:hidden" ng-click="editLine($event)"></div>
</div>
</div>
</div>
</div>
