<h1 class="page-header"><i class="fa fa-archive"></i> {{activeproject.name}}</h1>
<ol class="breadcrumb">
<li>
<?php _('Server') ?>:
<div style="display: inline-block; margin-left: 10px">
<select class="form-control" ng-model="loadedServer" ng-options="f as f.name for f in serverList" ng-change="selectServer(loadedServer)"></select>
</div>
</li>
<li ng-repeat="f in activeproject.parents track by $index">
<a href="javascript:void(0)" ng-click="selectFolderLevel($index)">{{f.name}}</a></li>
<li>{{activeproject.name}}</li>
</ol>
<div>
<div class="row">
<div class="col-xs-12 col-md-8">
<div ng-if="imageList[activeImageIndex].m===0 && !view3d" class="text-center pagination-centered" style="min-height:80px;max-height:400px;position:relative" ng-click="fullsizeImageDialog(imageList[activeImageIndex].n,imageList[activeImageIndex].i)">
<div class="hoverboxTC">{{imageList[activeImageIndex].n}}</div>
<div class="hoverboxTL" title="<?php _('Download Image') ?>">
<button type="button" ng-click="downloadImage(imageList[activeImageIndex],$event)" class="btn btn-primary pull-right">
<i class="fa fa-download" style="padding:1px"></i></button>
</div>
<div class="hoverboxTR" title="<?php _('3d View') ?>" ng-if="imageList[activeImageIndex].tp === 0 && imageList[activeImageIndex].has3d">
<button type="button" ng-click="show3d($event)" class="btn btn-primary pull-right">
3D
</button>
</div>
<div ng-if="user.editProjectsPermission && imageList[activeImageIndex].tp === 1" class="hoverboxTR" title="<?php _('Delete Image') ?>">
<div type="button" ng-click="deleteImage(imageList[activeImageIndex],$event)" class="btn text-danger pull-right" style="font-size: 1.6em">
<i class="fa fa-trash-o" style="padding:1px"></i>
</div>
</div>
<div class="hoverboxTR" ng-if="imageList[activeImageIndex].tp === 2">
<div rs-dropdown dropdown-append-to-body is-open="$parent.menuGCode2[imageList[activeImageIndex].n]" ng-click="$event.stopPropagation()">
<div href="#" type="button" class="btn btn-primary" rs-dropdown-toggle style="font-size: 1.6em">
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu class="pull-right" is-open="$parent.menuGCode2[imageList[activeImageIndex].n]">
<li>
<a ng-disabled="!imageList[activeImageIndex].hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode2(imageList[activeImageIndex]);info(imageList[activeImageIndex])">
<rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?>
</a></li>
<li ng-if="user.canEditProjects">
<a ng-click="closeGCode2(imageList[activeImageIndex]);editGCode(imageList[activeImageIndex])" class="extrapad">
<rs-menu-icon icon="fa fa-edit"></rs-menu-icon>
<?php _('Edit G-Code') ?>
</a>
</li>
<li ng-if="user.addPermission">
<a ng-click="closeGCode2(imageList[activeImageIndex]);copyGCode(imageList[activeImageIndex])" class="extrapad">
<rs-menu-icon icon="fa fa-files-o"></rs-menu-icon>
<?php _('Copy to G-Code Models') ?>
</a>
</li>
<li ng-if="user.printPermission">
<a ng-click="closeGCode2(imageList[activeImageIndex]);printGCode(imageList[activeImageIndex])" class="extrapad">
<rs-menu-icon icon="rs rs-print"></rs-menu-icon>
<?php _('Print G-Code') ?>
</a>
</li>
<li ng-if="user.readPermission">
<a ng-disabled="!imageList[activeImageIndex].hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode2(imageList[activeImageIndex]);previewGCode(imageList[activeImageIndex],0)">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?>
</a></li>
<li ng-if="user.readPermission && isWebGL2Supported">
<a ng-disabled="!imageList[activeImageIndex].hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode2(imageList[activeImageIndex]);previewGCode(imageList[activeImageIndex],3)">
<rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a ng-disabled="!imageList[activeImageIndex].hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode2(imageList[activeImageIndex]);previewGCode(imageList[activeImageIndex],2)">
<rs-menu-icon icon="fa fa-picture-o" style="padding:1px"></rs-menu-icon> <?php _('3D Image') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="closeGCode2(imageList[activeImageIndex]);downloadFile(imageList[activeImageIndex],$event)">
<rs-menu-icon icon="fa fa-download" style="padding:1px"></rs-menu-icon> <?php _('Download G-Code') ?>
</a></li>
<li ng-if="user.readPermission">
<a ng-disabled="!imageList[activeImageIndex].hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode2(imageList[activeImageIndex]);previewGCode(imageList[activeImageIndex],1)">
<rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?>
</a></li>
<li ng-if="user.editProjectsPermission">
<a ng-disabled="!imageList[activeImageIndex].hasInfo" class="extrapad" ng-click="closeGCode2(imageList[activeImageIndex]);recomputeGCodeInfo(imageList[activeImageIndex])">
<rs-menu-icon class="fa fa-recycle"></rs-menu-icon>
<?php _('Reparse G-Code') ?>
</a>
</li>
</ul>
</div>
</div>
<a ng-if="activeImageIndex > 0" style="top:179px;position:absolute;left:5px" ng-click="selectView(activeImageIndex-1)" class="text-primary">
<i class="fa fa-chevron-left fa-3x"></i>
</a>
<a ng-if="activeImageIndex < imageList.length-1" style="top:179px;position:absolute;right:5px" ng-click="selectView(activeImageIndex+1)" class="text-primary">
<i class="fa fa-chevron-right fa-3x"></i>
</a>
<img ng-src="{{imageList[activeImageIndex].i}}" style="max-width:100%; max-height:400px" class="gcodeIconContainer">
<div ng-if="user.editProjectsPermission" class="hoverboxBL" title="<?php _('Set as Preview Image') ?>">
<button type="button" ng-click="makePreview(activeImage,$event)" class="btn btn-primary pull-right">
<i class="fa fa-eye" style="padding:1px"></i></button>
</div>
</div>
<div ng-if="view3d" class="text-center pagination-centered" style="height:400px">
<rs-model-view url="imageList[activeImageIndex].t3model"></rs-model-view>
</div>
<div class="margin-top margin-bottom">
<rs-left-right-scroller>
<div ng-repeat="i in imageList track by $index" class="item d-inline-block" style="max-width:138px;max-height:96px;left:0">
<img class="gcodeIconContainer" ng-src="{{i.t}}" title="{{i.n}}" ng-click="selectView($index)" style="max-width:138px;max-height:96px;">
</div>
</rs-left-right-scroller>
</div>
</div>
<div class="col-xs-12 col-md-4">
<div class="btn btn-default btn-block" ng-click="downloadAll()">
<i class="fa fa-download"></i> <?php _('Download All Files') ?></div>
<div class="btn btn-default btn-block" ng-click="exportProject()">
<i class="fa fa-download"></i> <?php _('Export Project') ?></div>
<ul class="list-group margin-top">
<li class="list-group-item"><strong><?php _('Created') ?></strong>
<span class="pull-right">{{activeproject.created | date:'short'}}</span>
</li>
<li class="list-group-item"><strong><?php _('Models') ?></strong>
<span class="pull-right">{{activeproject.models.length}}</span>
</li>
<li class="list-group-item"><strong><?php _('G-Codes') ?></strong>
<span class="pull-right">{{activeproject.gcodes.length}}</span>
</li>
<li class="list-group-item"><strong><?php _('Images') ?></strong>
<span class="pull-right">{{activeproject.images.length}}</span>
</li>
<li class="list-group-item"><strong><?php _('Other Files') ?></strong>
<span class="pull-right">{{activeproject.others.length}}</span>
</li>
<li class="list-group-item">
<strong><?php _('License') ?></strong><a class="pull-right" title="<?php _('Edit Tags') ?>" ng-if="user.editProjectsPermission" ng-click="selectLicense()" style="cursor:pointer"><i class="fa fa-edit"></i>
</a>
<div ng-bind-html="licensetext" style="padding-top: 5px"></div>
</li>
<li class="list-group-item">
<strong><?php _('Tags') ?></strong><a class="pull-right" title="<?php _('Edit Tags') ?>" ng-if="user.editProjectsPermission" ng-click="toggleEditTags()" style="cursor:pointer"><i class="fa fa-edit"></i>
</a>
<div style="margin-top: 10px">
<div ng-repeat="t in activeproject.tags track by $index" class="btn btn-primary btn-sm" style="margin-right:10px;margin-top:10px;cursor:default; border-radius: 35px;">
{{t}}
<span ng-if="editTags" ng-click="delTag(t, $index)" style="cursor:pointer">&nbsp; <i class="fa fa-times"></i> </span>
</div>
</div>
<div ng-if="editTags" class="margin-top">
<div class="input-group">
<input type="text" class="form-control" ng-model="$parent.newTagName" uib-typeahead="s.n for s in tags | filter:$viewValue | limitTo:10" placeholder="<?php _('Your Tag') ?>" enter="addTag()">
<span class="input-group-btn">
<div class="btn btn-primary" ng-click="addTag()"><?php _('Add') ?></div>
</span>
</div>
</div>
</li>
</ul>
<form enctype="multipart/form-data" method="post" class="margin-top" action="{{'/project/'+activeServer.uuid+'/upload/'+editproject.uuid}}" id="formupload">
<input type="hidden" name="a" value="upload">
<input type="hidden" name="name" value="" id="UploadName">
<div class="btn-group btn-block">
<span class="btn btn-primary col-sm-12 btn-file" ng-disabled="uploading" style="height: 50px;font-size: 150%;">
<i class="fa fa-upload rs-bigtab"></i> <span ng-hide="uploading"><?php _('Upload a File') ?></span><span ng-show="uploading"><?php _('Uploading ...') ?>{{uploadProgress}}%</span>
<input type="file" name="filename" id="FilenameUpload" multiple="multiple" onchange="handleUpload()">
</span>
</div>
</form>
<div ng-if="activeproject.openNewFiles" class="alert alert-info margin-top" role="alert" style="font-size: 150%;text-align: center;">
<i class="fa fa-spinner fa-spin"></i> <?php _('New files get parsed and analysed ...') ?></div>
</div>
</div>
<uib-tabset active="activeTab">
<uib-tab index="0">
<uib-tab-heading>
<?php _('Files') ?>
</uib-tab-heading>
<div class="alert alert-info margin-top" ng-if="activeproject.models.length === 0 && activeproject.gcodes.length === 0 && activeproject.others.length === 0">
<h3 style="margin-top: 0"><?php _('No Files stored in this Project') ?></h3>
<p><?php _('Drag files to the upload button or click the upload button to add your first file.') ?></p>
</div>
<div class="margin-top margin-bottom" style="text-align: right">
<div class="btn-group" style="text-align: right;">
<label class="btn btn-default" ng-model="globals.projectView.viewStyle" uib-btn-radio="0" ng-change="savedProjectView()"><i class="fa fa-align-justify rs-big"></i></label>
<label class="btn btn-default" ng-model="globals.projectView.viewStyle" uib-btn-radio="1" ng-change="savedProjectView()"><i class="fa fa-th-list rs-big"></i></label>
<label class="btn btn-default" ng-model="globals.projectView.viewStyle" uib-btn-radio="2" ng-change="savedProjectView()"><i class="fa fa-th rs-big"></i></label>
</div>
</div>
<div ng-if="globals.projectView.viewStyle === 0">
<h3 ng-if="activeproject.models.length>0"><?php _('Models') ?></h3>
<div ng-if="activeproject.models.length>0" class="table-responsive">
<table class="table table-striped table-hover table-condensed vmiddle">
<tr>
<th><?php _('Filename') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Uploaded') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Size') ?></th>
<th style="width:1px" class="nowrap"></th>
<th style="width:1px" class="nowrap" ng-if="user.editProjectsPermission"></th>
</tr>
<tr ng-repeat="m in activeproject.models track by m.n">
<td>
<rs-in-place-string readonly="activeproject.openNewFiles>0" ng-if="user.editProjectsPermission" value="m.n" changed="newFileName(oldValue,newValue,m)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{m.n}}</span>
</td>
<td class="nowrap">{{m.d ? (m.d * 1000 | date:'short') : ''}}</td>
<td class="nowrap">{{m.s | byte}}</td>
<td class="nowrap">
<div ng-if="user.editProjectsPermission && m.hasImage" class="btn btn-xs btn-primary" ng-click="makePreview(m,$event)" title="<?php _('Set as Preview Image') ?>">
<i class="fa fa-eye" style="padding:1px"></i>
</div>
<div class="btn btn-xs btn-primary" style="margin-left: 15px" ng-click="downloadFile(m,$event)" title="<?php _('Download File') ?>">
<i class="fa fa-download" style="padding:1px"></i>
</div>
</td>
<td ng-if="user.editProjectsPermission" style="width:1px" class="nowrap">
<div class="btn btn-xs text-danger" style="margin-left:10px;font-size:1.2em" ng-click="tryDeleteFile(m,$event)" title="<?php _('Delete File') ?>">
<i class="fa fa-trash-o"></i></div>
</td>
</tr>
</table>
</div>
<div ng-if="activeproject.gcodes.length > 0">
<h3><?php _('G-Codes') ?></h3>
<div class="table-responsive">
<table class="table table-striped table-hover table-condensed vmiddle">
<tr>
<th><?php _('Filename') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Uploaded') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Printer') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Size') ?></th>
<th style="width:1px" class="nowrap"></th>
<th style="width:1px" class="nowrap" ng-if="user.editProjectsPermission"></th>
</tr>
<tr ng-repeat="m in activeproject.gcodes track by m.n">
<td>
<rs-in-place-string readonly="activeproject.openNewFiles>0" ng-if="user.editProjectsPermission" value="m.n" changed="newFileName(oldValue,newValue,m)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{m.n}}</span>
</td>
<td class="nowrap">{{m.d ? (m.d * 1000 | date:'short') : ''}}</td>
<td class="nowrap">{{m.p}}</td>
<td class="nowrap">{{m.s | byte}}</td>
<td class="nowrap">
<div ng-if="user.addPermission" class="btn btn-xs btn-primary" style="margin-right:15px" ng-click="copyGCode(m)" title="<?php _('Copy to G-Code Models') ?>">
<i class="fa fa-files-o"></i></div>
<div ng-if="user.printPermission" class="btn btn-xs btn-primary" ng-click="printGCode(m)" title="<?php _('Print G-Code') ?>">
<i class="rs rs-print"></i></div>
<div rs-dropdown dropdown-append-to-body is-open="$parent.menuGCode1[m.n]" style="display: inline-block;margin-left: 15px">
<div href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu class="pull-right" is-open="$parent.menuGCode1[m.n]">
<li>
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);info(m)">
<rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?>
</a></li>
<li ng-if="user.canEditProjects">
<a ng-click="closeGCode1(m);editGCode(m)" class="extrapad">
<rs-menu-icon icon="fa fa-edit"></rs-menu-icon>
<?php _('Edit G-Code') ?>
</a>
</li>
<li ng-if="user.addPermission">
<a ng-click="closeGCode1(m);copyGCode(m)" class="extrapad">
<rs-menu-icon icon="fa fa-files-o"></rs-menu-icon>
<?php _('Copy to G-Code Models') ?>
</a>
</li>
<li ng-if="user.printPermission">
<a ng-click="closeGCode1(m);printGCode(m)" class="extrapad">
<rs-menu-icon icon="rs rs-print"></rs-menu-icon>
<?php _('Print G-Code') ?>
</a>
</li>
<li ng-if="user.readPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,0)">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?>
</a></li>
<li ng-if="user.readPermission && isWebGL2Supported">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,3)">
<rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,2)">
<rs-menu-icon icon="fa fa-picture-o" style="padding:1px"></rs-menu-icon> <?php _('3D Image') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);downloadFile(m,$event)">
<rs-menu-icon icon="fa fa-download" style="padding:1px"></rs-menu-icon> <?php _('Download G-Code') ?>
</a></li>
<li ng-if="user.readPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,1)">
<rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?>
</a></li>
<li ng-if="user.editProjectsPermission">
<a ng-disabled="!m.hasImage" type="button" href="javascript:void(0)" ng-click="closeGCode1(m);makePreview(m,$event)" class="extrapad">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon>
<?php _('Set as Preview Image') ?>
</a>
</li>
<li ng-if="user.editProjectsPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" ng-click="closeGCode1(m);recomputeGCodeInfo(m)">
<rs-menu-icon class="fa fa-recycle"></rs-menu-icon>
<?php _('Reparse G-Code') ?>
</a>
</li>
</ul>
</div>
</td>
<td ng-if="user.editProjectsPermission" style="width:1px" class="nowrap">
<div class="btn btn-xs text-danger" style="margin-left:10px;font-size:1.2em" ng-click="tryDeleteFile(m,$event)" title="<?php _('Delete File') ?>">
<i class="fa fa-trash-o"></i></div>
</td>
</tr>
</table>
</div>
</div>
</div>
<div ng-if="globals.projectView.viewStyle === 1">
<h3 ng-if="activeproject.models.length>0"><?php _('Models') ?></h3>
<div ng-if="activeproject.models.length>0" class="table-responsive">
<table class="table table-striped table-hover table-condensed vmiddle">
<tr>
<th style="width:1px"></th>
<th><?php _('Filename') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Uploaded') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Size') ?></th>
<th style="width:1px" class="nowrap"></th>
<th style="width:1px" class="nowrap" ng-if="user.editProjectsPermission"></th>
</tr>
<tr ng-repeat="m in activeproject.models track by m.n">
<td><img ng-src="{{m.mt}}" style="margin: -5px 10px;height: 55px;"></td>
<td>
<rs-in-place-string readonly="activeproject.openNewFiles>0" ng-if="user.editProjectsPermission" value="m.n" changed="newFileName(oldValue,newValue,m)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{m.n}}</span>
</td>
<td class="nowrap">{{m.d ? (m.d * 1000 | date:'short') : ''}}</td>
<td class="nowrap">{{m.s | byte}}</td>
<td class="nowrap">
<div ng-if="user.editProjectsPermission  && m.hasImage" class="btn btn-xs btn-primary" ng-click="makePreview(m,$event)" title="<?php _('Set as Preview Image') ?>">
<i class="fa fa-eye" style="padding:1px"></i>
</div>
<div class="btn btn-xs btn-primary" style="margin-left: 15px" ng-click="downloadFile(m,$event)" title="<?php _('Download File') ?>">
<i class="fa fa-download" style="padding:1px"></i>
</div>
</td>
<td ng-if="user.editProjectsPermission" style="width:1px" class="nowrap">
<div class="btn btn-xs text-danger" style="margin-left:10px;font-size:1.2em" ng-click="tryDeleteFile(m,$event)" title="<?php _('Delete File') ?>">
<i class="fa fa-trash-o"></i></div>
</td>
</tr>
</table>
</div>
<div ng-if="activeproject.gcodes.length > 0">
<h3><?php _('G-Codes') ?></h3>
<div class="table-responsive">
<table class="table table-striped table-hover table-condensed vmiddle">
<tr>
<th style="width:1px"></th>
<th><?php _('Filename') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Uploaded') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Printer') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Size') ?></th>
<th style="width:1px" class="nowrap"></th>
<th style="width:1px" class="nowrap" ng-if="user.editProjectsPermission"></th>
</tr>
<tr ng-repeat="m in activeproject.gcodes track by m.n">
<td><img ng-src="{{m.mt}}" style="margin: -5px 10px;height: 55px;"></td>
<td>
<rs-in-place-string readonly="activeproject.openNewFiles>0" ng-if="user.editProjectsPermission" value="m.n" changed="newFileName(oldValue,newValue,m)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{m.n}}</span>
</td>
<td class="nowrap">{{m.d ? (m.d * 1000 | date:'short') : ''}}</td>
<td class="nowrap">{{m.p}}</td>
<td class="nowrap">{{m.s | byte}}</td>
<td class="nowrap">
<div ng-if="user.addPermission" class="btn btn-xs btn-primary" style="margin-right:15px" ng-click="copyGCode(m)" title="<?php _('Copy to G-Code Models') ?>">
<i class="fa fa-files-o"></i></div>
<div ng-if="user.printPermission" class="btn btn-xs btn-primary" ng-click="printGCode(m)" title="<?php _('Print G-Code') ?>">
<i class="rs rs-print"></i></div>
<div rs-dropdown dropdown-append-to-body is-open="$parent.menuGCode1[m.n]" style="display: inline-block;margin-left: 15px">
<div href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu class="pull-right" is-open="$parent.menuGCode1[m.n]">
<li>
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);info(m)">
<rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?>
</a></li>
<li ng-if="user.canEditProjects">
<a ng-click="closeGCode1(m);editGCode(m)" class="extrapad">
<rs-menu-icon icon="fa fa-edit"></rs-menu-icon>
<?php _('Edit G-Code') ?>
</a>
</li>
<li ng-if="user.addPermission">
<a ng-click="closeGCode1(m);copyGCode(m)" class="extrapad">
<rs-menu-icon icon="fa fa-files-o"></rs-menu-icon>
<?php _('Copy to G-Code Models') ?>
</a>
</li>
<li ng-if="user.printPermission">
<a ng-click="closeGCode1(m);printGCode(m)" class="extrapad">
<rs-menu-icon icon="rs rs-print"></rs-menu-icon>
<?php _('Print G-Code') ?>
</a>
</li>
<li ng-if="user.readPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,0)">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?>
</a></li>
<li ng-if="user.readPermission && isWebGL2Supported">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,3)">
<rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,2)">
<rs-menu-icon icon="fa fa-picture-o" style="padding:1px"></rs-menu-icon> <?php _('3D Image') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);downloadFile(m,$event)">
<rs-menu-icon icon="fa fa-download" style="padding:1px"></rs-menu-icon> <?php _('Download G-Code') ?>
</a></li>
<li ng-if="user.readPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,1)">
<rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?>
</a></li>
<li ng-if="user.editProjectsPermission">
<a ng-disabled="!m.hasImage" type="button" href="javascript:void(0)" ng-click="closeGCode1(m);makePreview(m,$event)" class="extrapad">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon>
<?php _('Set as Preview Image') ?>
</a>
</li>
<li ng-if="user.editProjectsPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" ng-click="closeGCode1(m);recomputeGCodeInfo(m)">
<rs-menu-icon class="fa fa-recycle"></rs-menu-icon>
<?php _('Reparse G-Code') ?>
</a>
</li>
</ul>
</div>
</td>
<td ng-if="user.editProjectsPermission" style="width:1px" class="nowrap">
<div class="btn btn-xs text-danger" style="margin-left:10px;font-size:1.2em" ng-click="tryDeleteFile(m,$event)" title="<?php _('Delete File') ?>">
<i class="fa fa-trash-o"></i></div>
</td>
</tr>
</table>
</div>
</div>
</div>
<div ng-if="globals.projectView.viewStyle === 2">
<h3 ng-if="activeproject.models.length>0"><?php _('Models') ?></h3>
<div class="row" ng-if="activeproject.models.length>0">
<div ng-repeat="m in activeproject.models track by m.n" class="col-xs-6 col-sm-4 col-md-3">
<div class="gcodeIconContainer">
<h2 class="iconGCodeHeader">
<span title="{{m.n.length>25 ? m.n : ''}}">
<rs-in-place-string readonly="activeproject.openNewFiles>0" ng-if="user.editProjectsPermission" value="m.n" changed="newFileName(oldValue,newValue,m)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{m.n}}</span>
</span>
</h2>
<div class="iconGCode image_4by3">
<img ng-src="{{m.mt}}" class="i4by3 iconGCodeImage">
<div class="hoverboxTL" title="<?php _('Size') ?>: {{m.s | byte}}"><?php _('Size') ?>: {{m.s | byte}}
</div>
<div ng-if="user.editProjectsPermission  && m.hasImage" class="hoverboxTR" title="<?php _('Set as Preview Image') ?>">
<button type="button" ng-click="makePreview(m,$event)" class="btn btn-primary btn-xs pull-right">
<i class="fa fa-eye" style="padding:1px"></i></button>
</div>
<div ng-if="user.editProjectsPermission" class="hoverboxBR" title="<?php _('Delete File') ?>">
<div type="button" ng-click="tryDeleteFile(m,$event)" style="font-size:1.4em" class="btn text-danger light-textshadow btn-xs pull-right">
<i class="fa fa-trash-o" style="padding:1px"></i></div>
</div>
<div class="hoverboxBL" title="<?php _('Download File') ?>">
<button type="button" ng-click="downloadFile(m,$event)" class="btn btn-primary btn-xs pull-right">
<i class="fa fa-download" style="padding:1px"></i></button>
</div>
</div>
</div>
</div>
</div>
<div ng-if="activeproject.gcodes.length > 0">
<h3><?php _('G-Codes') ?></h3>
<div class="row">
<div ng-repeat="m in activeproject.gcodes track by m.n" class="col-xs-6 col-sm-4 col-md-3">
<div class="gcodeIconContainer">
<h2 class="iconGCodeHeader">
<span title="{{m.n.length>25 ? m.n : ''}}">
<rs-in-place-string readonly="activeproject.openNewFiles>0" ng-if="user.editProjectsPermission" value="m.n" changed="newFileName(oldValue,newValue,m)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{m.n}}</span>
</span>
</h2>
<div class="iconGCode image_4by3">
<img ng-src="{{m.mt}}" class="i4by3 iconGCodeImage">
<div class="hoverboxTL" title="<?php _('Size') ?>: {{m.s | byte}}"><?php _('Size') ?>
: {{m.s | byte}}
</div>
<div class="hoverboxTR">
<div rs-dropdown dropdown-append-to-body is-open="$parent.menuGCode1[m.n]">
<div href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu class="pull-right" is-open="$parent.menuGCode1[m.n]">
<li>
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);info(m)">
<rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?>
</a></li>
<li ng-if="user.canEditProjects">
<a ng-click="closeGCode1(m);editGCode(m)" class="extrapad">
<rs-menu-icon icon="fa fa-edit"></rs-menu-icon>
<?php _('Edit G-Code') ?>
</a>
</li>
<li ng-if="user.addPermission">
<a ng-click="closeGCode1(m);copyGCode(m)" class="extrapad">
<rs-menu-icon icon="fa fa-files-o"></rs-menu-icon>
<?php _('Copy to G-Code Models') ?>
</a>
</li>
<li ng-if="user.printPermission">
<a ng-click="closeGCode1(m);printGCode(m)" class="extrapad">
<rs-menu-icon icon="rs rs-print"></rs-menu-icon>
<?php _('Print G-Code') ?>
</a>
</li>
<li ng-if="user.readPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,0)">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?>
</a></li>
<li ng-if="user.readPermission && isWebGL2Supported">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,3)">
<rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,2)">
<rs-menu-icon icon="fa fa-picture-o" style="padding:1px"></rs-menu-icon> <?php _('3D Image') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);downloadFile(m,$event)">
<rs-menu-icon icon="fa fa-download" style="padding:1px"></rs-menu-icon> <?php _('Download G-Code') ?>
</a></li>
<li ng-if="user.readPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" href="javascript:void(0)" ng-click="closeGCode1(m);previewGCode(m,1)">
<rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?>
</a></li>
<li ng-if="user.editProjectsPermission">
<a ng-disabled="!m.hasImage" type="button" href="javascript:void(0)" ng-click="closeGCode1(m);makePreview(m,$event)" class="extrapad">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon>
<?php _('Set as Preview Image') ?>
</a>
</li>
<li ng-if="user.editProjectsPermission">
<a ng-disabled="!m.hasInfo" class="extrapad" ng-click="closeGCode1(m);recomputeGCodeInfo(m)">
<rs-menu-icon class="fa fa-recycle"></rs-menu-icon>
<?php _('Reparse G-Code') ?>
</a>
</li>
</ul>
</div>
</div>
<div ng-if="user.editProjectsPermission" class="hoverboxBL" title="<?php _('Print G-Code') ?>">
<button type="button" ng-click="printGCode(m)" class="btn btn-primary btn-xs pull-right">
<i class="rs rs-print" style="padding:1px"></i></button>
</div>
<div ng-if="user.editProjectsPermission" class="hoverboxBR" title="<?php _('Delete File') ?>">
<div type="button" ng-click="tryDeleteFile(m,$event)" style="font-size:1.4em" class="btn text-danger light-textshadow btn-xs pull-right">
<i class="fa fa-trash-o" style="padding:1px"></i></div>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
<div ng-if="activeproject.others.length > 0">
<h3><?php _('Other Files') ?></h3>
<div class="table-responsive">
<table class="table table-striped table-hover vmiddle">
<tr>
<th><?php _('Filename') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Uploaded') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Printer') ?></th>
<th style="width: 15px;" class="nowrap"><?php _('Size') ?></th>
<th style="width:1px" class="nowrap"></th>
<th style="width:1px" class="nowrap" ng-if="user.editProjectsPermission"></th>
</tr>
<tr ng-repeat="m in activeproject.others track by $index">
<td>
<rs-in-place-string ng-if="user.editProjectsPermission" value="m.n" changed="newFileName(oldValue,newValue,m)"></rs-in-place-string>
<span ng-if="!(user.editProjectsPermission)">{{m.n}}</span></td>
<td class="nowrap">{{m.d * 1000 | date:'short'}}</td>
<td class="nowrap">{{m.p}}</td>
<td class="nowrap">{{m.s | byte}}</td>
<td style="width:1px" class="nowrap">
<div ng-if="m.gcode && user.canEditProjects" class="btn btn-xs btn-primary" style="margin-right:15px" ng-click="editGCode(m)" title="<?php _('Edit G-Code') ?>">
<i class="fa fa-edit"></i>
</div>
<a ng-if="m.viewable" ng-href="{{viewFileLink(m)}}" target="_blank" class="btn btn-xs btn-primary" style="margin-right:15px" title="<?php _('View') ?>">
<i class="fa fa-eye"></i></a>
<div class="btn btn-xs btn-primary" ng-click="downloadFile(m,$event)" style="margin-right:15px" title="<?php _('Download') ?>">
<i class="fa fa-download"></i></div>
<div ng-if="m.gcode && user.addPermission" class="btn btn-xs btn-primary" style="margin-right:15px" ng-click="copyGCode(m)" title="<?php _('Copy to G-Code Models') ?>">
<i class="fa fa-files-o"></i></div>
<div ng-if="m.gcode && user.printPermission" class="btn btn-xs btn-primary" ng-click="printGCode(m)" title="<?php _('Print G-Code') ?>">
<i class="rs rs-print"></i></div>
</td>
<td ng-if="user.editProjectsPermission" style="width:1px" class="nowrap">
<div class="btn btn-xs text-danger" style="margin-left:10px;font-size:1.2em" ng-click="tryDeleteFile(m,$event)" title="<?php _('Delete File') ?>">
<i class="fa fa-trash-o"></i></div>
</td>
</tr>
</table>
</div>
</div>
</uib-tab>
<uib-tab index="1">
<uib-tab-heading>
<?php _('Description') ?>
</uib-tab-heading>
<div class="pull-right margin-top" style="font-size:18px;cursor:pointer" ng-if="user.editProjectsPermission">
<span ng-if="!editmode && editproject.descriptionHtml" ng-click="editProject()"><i class="fa fa-edit" style="margin-top: 10px"></i> <?php _('Edit') ?></span>
<div ng-if="editmode">
<div class="btn btn-primary" ng-click="saveProject()"><i class="fa fa-save"></i> <?php _('Save') ?>
</div>
<div class="btn btn-primary" ng-click="cancelProject()">
<i class="fa fa-times"></i> <?php _('Cancel') ?>
</div>
</div>
</div>
<div class="alert alert-info margin-top center" ng-if="!editmode && !editproject.descriptionHtml">
<h3 style="margin-top: 0"><?php _('No Project Description') ?></h3>
<div ng-if="user.editProjectsPermission" class="btn btn-info margin-top" ng-click="editProject()">
<i class="fa fa-edit" style="margin-top: 10px"></i> <?php _('Edit') ?></div>
</div>
<div class="clearfix" ng-if="editmode"></div>
<div ng-if="editmode" class="margin-top">
<trix-editor angular-trix class="content-main select-text" ng-model="editproject.descriptionHtml"></trix-editor>
</div>
<div ng-if="!editmode" class="content-main margin-top select-text" ng-bind-html="editproject.descriptionHtml">
</div>
</uib-tab>
<uib-tab index="2">
<uib-tab-heading>
<?php _('Instructions') ?>
</uib-tab-heading>
<div class="pull-right margin-top" style="font-size:18px;cursor:pointer" ng-if="user.editProjectsPermission">
<span ng-if="!editmode && editproject.instructions" ng-click="editProject()"><i class="fa fa-edit" style="margin-top: 10px;"></i> <?php _('Edit') ?></span>
<span ng-if="editmode">
<div class="btn btn-primary" ng-click="saveProject()"><i class="fa fa-save"></i> <?php _('Save') ?></div>
<div class="btn btn-primary" ng-click="cancelProject()"><i class="fa fa-times"></i> <?php _('Cancel') ?></div>
</span>
</div>
<div class="alert alert-info margin-top center" ng-if="!editmode && !editproject.instructions">
<h3 style="margin-top: 0"><?php _('No Project Instructions') ?></h3>
<div ng-if="user.editProjectsPermission" class="btn btn-info margin-top" ng-click="editProject()">
<i class="fa fa-edit" style="margin-top: 10px"></i> <?php _('Edit') ?></div>
</div>
<div class="clearfix" ng-if="editmode"></div>
<div ng-if="editmode" class="margin-top select-text">
<trix-editor angular-trix class="content-main select-text" ng-model="editproject.instructionsHtml"></trix-editor>
</div>
<div ng-if="!editmode" class="content-main margin-top select-text" ng-bind-html="editproject.instructionsHtml"></div>
</uib-tab>
<uib-tab index="3">
<uib-tab-heading>
<?php _('Comments') ?>
</uib-tab-heading>
<div ng-repeat="c in activeproject.comments track by $index" style="margin-top:10px;">
<hr ng-if="$index>0">
<h4>{{c.user}}
<div class="btn btn-xs text-danger pull-right" style="font-size:1.2em;margin-left:20px" ng-click="deleteComment(c)" title="<?php _('Delete Comment') ?>" ng-if="user.editProjectsPermission">
<i class="fa fa-trash-o"></i></div>
<small class="pull-right">{{c.time | date:'shortDate'}} {{c.time | date:'shortTime'}}</small>
</h4>
<div ng-bind-html="c.comment" class="select-text"></div>
</div>
<div class="well" style="margin-top:20px" ng-if="user.seeProjectsPermission">
<div class="form-group" ng-if="!user.isRealUser">
<label><?php _('Name') ?></label>
<input class="form-control" type="text" ng-model="comment.user">
</div>
<div class="form-group trix-no-h1">
<label for="exampleInputPassword1"><?php _('Comment') ?></label>
<trix-editor angular-trix class="content-main select-text" style="background: white;color:#000" ng-model="comment.comment"></trix-editor>
</div>
<div class="btn btn-primary" ng-click="addComment()">
<i class="fa fa-plus"></i> <?php _('Add Comment') ?>
</div>
</div>
</uib-tab>
</uib-tabset>
<br><br>
</div>
