<div class="modal-header">
<h4 class="modal-title"><i class="fa fa-user"></i> <?php _('Edit User') ?></h4>
</div>
<div class="modal-body">
<div ng-show="edituser.error" class="alert alert-danger">{{edituser.error}}</div>
<div class="form-group">
<label><?php _('Login') ?></label>
<input type="text" class="form-control" ng-model="edituser.login" readonly="readonly">
</div>
<div class="form-group">
<label><?php _('User Name') ?> (<?php _('Optional') ?>)</label>
<input type="text" class="form-control" ng-model="edituser.name" placeholder="<?php _('User Name') ?>">
<div ng-show="loginError" class="error"><?php _('No user name given!') ?></div>
</div>
<div class="form-group">
<label><?php _('Password') ?></label>
<input type="text" class="form-control" ng-model="edituser.password" placeholder="<?php _('Password') ?>" ng-disabled="ro">
</div>
<div class="checkbox" ng-if="user.adminPermission">
<label>
<input type="checkbox" ng-model="edituser.admin" ng-true-value="1" ng-false-value="0" ng-disabled="roa">
<?php _('User is admin and can set all permissions for all users') ?>
</label>
</div>
<div class="checkbox" ng-if="user.adminPermission">
<label>
<input type="checkbox" ng-model="edituser.manageAccounts" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can manage accounts he created') ?>
</label>
</div>
<div class="checkbox" ng-if="user.changePasswordPermission">
<label>
<input type="checkbox" ng-model="edituser.changePasswords" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can change his password') ?>
</label>
</div>
<div class="checkbox" ng-if="user.printPermission">
<label>
<input type="checkbox" ng-model="edituser.print" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can print') ?>
</label>
</div>
<div class="checkbox" ng-if="user.fullStopPermission">
<label>
<input type="checkbox" ng-model="edituser.fullStop" ng-true-value="1" ng-false-value="0" ng-disabled="ro" ng-change="checkValid()" ng-disabled="ro">
<?php _('Full Stop / Stop / Pause / Deactivate') ?>
</label>
</div>
<div class="checkbox" ng-if="user.readPermission">
<label>
<input type="checkbox" ng-model="edituser.readfiles" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can read files') ?>
</label>
</div>
<div class="checkbox" ng-if="user.addPermission">
<label>
<input type="checkbox" ng-model="edituser.addfiles" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can add new files') ?>
</label>
</div>
<div class="checkbox" ng-if="user.delPermission">
<label>
<input type="checkbox" ng-model="edituser.deletefiles" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can delete files') ?>
</label>
</div>
<div class="checkbox" ng-if="user.seeProjectsPermission">
<label>
<input type="checkbox" ng-model="edituser.seeprojects" ng-true-value="1" ng-false-value="0" ng-disabled="ro" ng-change="checkValid()" ng-disabled="ro">
<?php _('User can see all projects') ?>
</label>
</div>
<div class="checkbox" style="margin-left:20px" ng-if="user.editProjectsPermission">
<label ng-disabled="ro || !edituser.seeprojects">
<input type="checkbox" ng-model="edituser.editprojects" ng-true-value="1" ng-false-value="0" ng-disabled="ro || !edituser.seeprojects" ng-change="checkValid()">
<?php _('User can edit all projects') ?>
</label>
</div>
<div class="checkbox" ng-if="user.fullStopPermission">
<label>
<input type="checkbox" ng-model="edituser.history" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can change all history entries') ?>
</label>
<div class="checkbox" ng-if="user.changeConfigPermission">
<label>
<input type="checkbox" ng-model="edituser.configure" ng-true-value="1" ng-false-value="0" ng-disabled="ro">
<?php _('User can configure the server') ?>
</label>
</div>
</div>
<div>
<?php _('API Key') ?>: <strong>{{edituser.apikey}}</strong>
<button class="btn btn-xs btn-primary margin-left" ng-click="toClipboard(edituser.apikey)"><i class="fa fa-copy"></i>
</button>
<button class="btn btn-primary" ng-click="renewApiKey()" style="margin-left:10px">
<i class="fa fa-refresh rs-bigtab"></i> <?php _('Create new Key') ?></button>
</div>
<div ng-show="error" class="alert alert-danger alert-block" style="margin-top:10px">
{{error}}
</div>
</div>
<div class="modal-footer">
<div class="flex-toolbar" style="justify-content: flex-end">
<div type="button" class="btn text-danger" style="margin-right: auto" ng-disabled="!cdu.canDelete" ng-click="deleteUser(edituser.login)"><i class="fa fa-trash-o rs-bigtab"></i> <?php _('Delete User') ?>
</div>
<button type="button" class="btn btn-primary" ng-click="sendEditUser()"><i class="fa fa-check"></i> <?php _('Apply Changes') ?></button>
<button type="button" class="btn btn-default" ng-click="$dismiss()"><i class="fa fa-times"></i> <?php _('Cancel') ?>
</button>
</div>
</div>
